//= require ./Control.js
//= require ../jquery/menu.js

AppKit.MenuItem = AppKit.Control.extend({
    classID: 'appkit-menu-item',
    options: {
        tabindex: null,
        label: ""
    },
    initialize: function (options) {

        if (!options.label) {
            options.label = this.$el.html();
        }

        this._super(options);
    },
    events: {
        fire: 'fire'
    },
    label: function (aString) {
        if (aString !== undefined) {
            this.$el.html(aString);
            this.$el.attr('aria-label', aString);
        }

        return this.$el.text();
    }
});


AppKit.Menu = AppKit.View.extend({
    classID: 'appkit-menu',
    options: {hidden: true},
    initialize: function (options) {
        this._manualSetup(options);
        this.$el.menu();
    },
    _manualSetup: function (options) {
        if (options.items !== undefined
            && options.items.length) {
            var count = options.items.length,
                i = 0;

            for (; i < count; i++) {
                $('<div class="appkit-menu-item">')
                    .attr(options.items[i])
                    .awaken()
                    .appendTo(this.$el);

            }
        }
    },
    open: function () {
        this.$el.menu('open');
    },
    close: function () {
        this.$el.menu('close');
    },
    toggle: function () {
        if (this.$el.is(':visible'))
            this.close();
        else
            this.open();
    }
});