JLV.BreakTheGlass = {};

JLV.BreakTheGlass.VBADeniedController = {
    callback: null,
    open: function (callback) {
        this.callback = callback;
        this.dialog.center();
        this.dialog.open();

    },
    close: function () {
        this.dialog.close();
        if (_.isFunction(this.callback)) {
            this.callback();
        }

    }
};


JLV.BreakTheGlass.VBAAccessController = {
    callback: null,
    open: function (data, callback) {
        this.callback = callback;
        this.dialog.center();
        this.dialog.open();

        $('#btgWindowVBAAccess .btgProvNameTxt').text(data.providerName);
        $('#btgWindowVBAAccess .btgDateTxt').text(moment().format('YYYY-MM-DD HH:mm:ss'));
        $('#btgWindowVBAAccess .btgIPTxt').text(data.ipAddress);

    },
    close: function () {
        this.dialog.close();
        if (_.isFunction(this.callback)) {
            this.callback(false);
        }

    },
    agree: function () {
        this.dialog.close();
        if (_.isFunction(this.callback)) {
            this.callback(true);
        }
    }
};

JLV.BreakTheGlass.VHAController = {
    callback: null,
    open: function (data, callback) {
        this.callback = callback;
        this.dialog.center();
        this.dialog.open();

        $('#btgWindowVHA .btgProvNameTxt').text(data.providerName);
        $('#btgWindowVHA .btgDateTxt').text(moment().format('YYYY-MM-DD HH:mm:ss'));
        $('#btgWindowVHA .btgIPTxt').text(data.ipAddress);

    },
    close: function () {
        this.dialog.close();
        if (_.isFunction(this.callback)) {
            this.callback(false);
        }

    },
    agree: function () {
        this.dialog.close();
        if (_.isFunction(this.callback)) {
            this.callback(true);
        }
    }
};

JLV.BreakTheGlass.SensitiveRecordController = {
    callback: null,
    open: function (data, callback) {
        this.callback = callback;
        this.dialog.center();
        this.dialog.open();

        $('#btgWindowSensitiveRecord .btgOrgTxt').text(data.loginAgency);
        $('#btgWindowSensitiveRecord .btgProvNameTxt').text(data.providerName);
        $('#btgWindowSensitiveRecord .btgDateTxt').text(moment().format('YYYY-MM-DD HH:mm:ss'));
        $('#btgWindowSensitiveRecord .btgIPTxt').text(data.ipAddress);

    },
    close: function () {
        this.dialog.close();
        if (_.isFunction(this.callback)) {
            this.callback(false);
        }

    },
    agree: function () {
        this.dialog.close();
        if (_.isFunction(this.callback)) {
            this.callback(true);
        }
    }
};

JLV.BreakTheGlass.CheckSensitiveRecordAccess = function (jsonData, patientToken, patName, patNum, patDob, resultScript) {
    JLV.BreakTheGlass.SensitiveRecordController.open(jsonData, function (agree) {

        var i, ssn, firstDODSSN, firstVASSN;
        var demographics = JLV.ActivePatientModel.get('demographics');

        for (i = 0; i < demographics.length; i++) {
            if (!firstDODSSN && demographics[i].sourceProtocol === "DODADAPTER") {
                firstDODSSN = demographics[i].fmpssn
            }
            if (!firstVASSN && demographics[i].sourceProtocol === "RPC") {
                firstVASSN = demographics[i].fmpssn
            }
            if (firstDODSSN && firstVASSN) {
                break;
            }
        }

        ssn = firstDODSSN;
        if (!firstDODSSN) {
            ssn = firstVASSN;
        }

        if (agree) {
            var auditTxt =
                "U_Nam:" + $("#btgWindowSensitiveRecord .btgProvNameTxt").text() + "^" +
                "U_Loc:" + jsonData.loginAgency + ":" + jsonData.loginSite + "^" +
                "U_IP:" + $("#btgWindowSensitiveRecord .btgIPTxt").text() + "^" +
                "P_Nam:" + patName + "^" +
                "P_SSN:" + ssn + "^" +
                "P_DOB:" + patDob + "^" +
                "P_EDIPI:" + patNum + "^" +
                "AxDate:" + $("#btgWindowSensitiveRecord .btgDateTxt").text() + "^" +
                "eventId:" + jsonData.eventId + "^" +
                "reason:" + $('input[name="btgAuthPurposeRadioGrpSensRec"]:checked').data('label');

            ;


            resultScript(true, auditTxt);

        }
        else {
            //JLV.PatientSelectCancelCleanup(patientToken);
        }
    });
};

