//= require lib/AppKit/AppKit.js
//= require ../JLV.js
//= require ../NotificationCenter.js
//= require ./toolbar.js


JLV.Desktop = {};

JLV.Desktop.AddTabDialogController = {
    onDialogOpen: function (aDialog) {
        aDialog.center();
        this.TabNameInput.set('value', '');
        setTimeout(_.bind(function () {
            this.TabNameInput.$el.focus();
        }, this), 0);
    },
    onCancel: function () {
        $('#AddTabDialog').widget().set('visible', false);
    },
    onAdd: function () {
        //escape tab name (user input)
        var tabName = _.escape($('#TabNameInput').val());

        if (tabName.trim().length == 0) {
            tabName = "Untitled";
        }

        var activePortal = JLV.Desktop.WidgetPortal.getActive();
        if (activePortal) {
            activePortal.addTabbedPortal(tabName, true);
            activePortal.selectTabAtIndex(activePortal.get('tabCount') - 1);
            JLV.Session.saveUIConfigForPortal(activePortal);
        }

        AppKit.get('AddTabDialog').set('visible', false);
    }
};
