//= require ./PatientWidgetWindow.js

JLV.PatientClinicalRemindersWidgetWindow = JLV.PatientWidgetWindow.extend({
    options: {
        name: 'Clinical Reminders - VA Only',
        filter: false,
        status: false,
        clipboard: true,
        print: true,
        refresh: true,
        columns: [
            {
                title: 'Due',
                id: 'dueDate',
                formatter: JLV.common.dateFormatter,
                sortable: true,
                width: 80,
                formatter: function (value, model) {
                    if (model && model.get('dueDate') && model.get('dueDate').length) {
                        return value;
                    }
                    else {
                        return model.get('dueDateString');
                    }
                }
            },
            {
                title: 'Last Done',
                id: 'lastDate',
                formatter: JLV.common.dateFormatter,
                width: 100,
                sortable: true

            },
            {
                title: 'Reminder',
                id: 'name',
                width: 200,
                sortable: true,
                formatter: function (value, model) {
                    if (model && model.get('recordDetailsToken')) {
                        return JLV.common.linkFormatter(value, model);
                    }
                    else {
                        return value;
                    }
                }
            },
            {
                title: 'Site',
                id: 'site',
                sorter: JLV.common.siteSorter,
                width: 60,
                formatter: JLV.common.formatSiteMonikerDisplay
            }
        ],
        defaultSort: {
            id: 'dueDate',
            asc: false
        }
    }
});