// locations to search for config files that get merged into the main config
// config files can either be Java properties files or ConfigSlurper scripts

// grails.config.locations = [ "classpath:${appName}-config.properties",
//                             "classpath:${appName}-config.groovy",
//                             "file:${userHome}/.grails/${appName}-config.properties",
//                             "file:${userHome}/.grails/${appName}-config.groovy"]

// if(System.properties["${appName}.config.location"]) {
//    grails.config.locations << "file:" + System.properties["${appName}.config.location"]
// }

//load external appconfig properties file
grails.config.locations = ["classpath:appconfig-${grails.util.Environment.current.name}.properties"]

grails.project.groupId = appName // change this to alter the default package name and Maven publishing destination
grails.mime.file.extensions = true // enables the parsing of file extensions from URLs into the request format
grails.mime.use.accept.header = false
grails.mime.types = [html         : ['text/html', 'application/xhtml+xml'],
                     xml          : ['text/xml', 'application/xml'],
                     text         : 'text/plain',
                     js           : 'text/javascript',
                     jpg          : 'image/jpeg',
                     gif          : 'image/gif',
                     png          : 'image/png',
                     ico          : 'image/x-icon',
                     rss          : 'application/rss+xml',
                     atom         : 'application/atom+xml',
                     css          : 'text/css',
                     csv          : 'text/csv',
                     all          : '*/*',
                     json         : ['application/json', 'text/json'],
                     form         : 'application/x-www-form-urlencoded',
                     multipartForm: 'multipart/form-data'
]

// URL Mapping Cache Max Size, defaults to 5000
//grails.urlmapping.cache.maxsize = 1000

// The default codec used to encode data with ${}
grails.views.default.codec = "none" // none, html, base64
grails.views.gsp.encoding = "UTF-8"
grails.converters.encoding = "UTF-8"
// enable Sitemesh preprocessing of GSP pages
grails.views.gsp.sitemesh.preprocess = true
// scaffolding templates configuration
grails.scaffolding.templates.domainSuffix = 'Instance'

// Set to false to use the new Grails 1.2 JSONBuilder in the render method
grails.json.legacy.builder = false
// enabled native2ascii conversion of i18n properties files
grails.enable.native2ascii = true
// whether to install the java.util.logging bridge for sl4j. Disable for AppEngine!
grails.logging.jul.usebridge = false
// packages to include in Spring bean scanning
grails.spring.bean.packages = []

//turns off request parameter logging all together  (should default to false for production)
grails.exceptionresolver.logRequestParameters = false

scramble = "false"   //scramble patient names on provider view
appName = 'JLV'

//endpoint protocol names
grails.protocolRPC = "RPC"
grails.protocolCache = "CACHE"
grails.protocolShare = "SHARE"
grails.protocolMedweb = "MEDWEB"
grails.protocolDODAdapter = "DODADAPTER"

//supported agencies
grails.agencyVA = "VA"
grails.agencyDOD = "DOD"
grails.agencyOP = "OP"

connectionTimeoutMS = 45000
requestTimeoutMS = 60000

// set per-environment serverURL stem for creating absolute links
environments {
    production {

    }
    preproduction {

    }
    development {
        // grails resource plugin config
//        grails.resources.processing.enabled = false

        // grails yui-minify-resources plugin config
//        grails.resources.mappers.yuijsminify.includes = ['**/*.js']
//        grails.resources.mappers.yuijsminify.excludes = ['**/*.min.js']
//        grails.resources.mappers.yuicssminify.includes = ['**/*.css']
//        grails.resources.mappers.yuicssminify.excludes = ['**/*.min.css']
//
//        grails.resources.mappers.zip.excludes = ['**/#.png', '**/*.gif', '**/*.jpg', '**/*.jpeg', '**/*.gz', '**/*.zip']
    }
    test {

    }

}

//exclude access code and verify code from exception logs
grails.exceptionresolver.params.exclude = ['accessCode', 'verifyCode']
//
//grails.plugin.xframeoptions.allowFrom = 'https://sa-dtc.med.osd.mil'

// log4j configuration
log4j = {
    // Example of changing the log pattern for the default console
    // appender:
    //
//    appenders {
//        console name:'stdout', layout:pattern(conversionPattern: '%c{2} %m%n')
//    }

    environments {
        development {
            // show debug log statements in development
            debug "grails.app"
            debug "gov.va.med"
        }
    }

    error 'org.codehaus.groovy.grails.web.servlet',  //  controllers
            'org.codehaus.groovy.grails.web.pages', //  GSP
            'org.codehaus.groovy.grails.web.sitemesh', //  layouts
            'org.codehaus.groovy.grails.web.mapping.filter', // URL mapping
            'org.codehaus.groovy.grails.web.mapping', // URL mapping
            'org.codehaus.groovy.grails.commons', // core / classloading
            'org.codehaus.groovy.grails.plugins', // plugins
            'org.codehaus.groovy.grails.orm.hibernate', // hibernate integration
            'org.springframework',
            'org.hibernate',
            'net.sf.ehcache.hibernate'

    warn 'org.mortbay.log'
}


