/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package jlv

//import net.carefx.contextapi.*
//import net.carefx.contextmgt.cm.CMException
//import net.carefx.util.OLDLogger
import org.apache.commons.lang3.StringUtils

class ContextController extends BaseController {
    def appConfig
    def tokenUtils

    def getPatientToken = {
        String edipi = params["edipi"];
        String icn = params["icn"];
        String vaIen = params["vaIen"];
        String vaIenSiteId = params["vaIenSiteId"];

        String patientToken = "";

        if (StringUtils.isNotBlank(edipi)) {
            patientToken = tokenUtils.generatePatientToken(session.appUser.securityKey,
                    appConfig.getIdTypeEDIPI(), edipi, "");
        } else if (StringUtils.isNotBlank(vaIen) && StringUtils.isNotBlank(vaIenSiteId)) {
            patientToken = tokenUtils.generatePatientToken(session.appUser.securityKey,
                    appConfig.getIdTypeVAIen(), vaIen, vaIenSiteId);
        } else if (StringUtils.isNotBlank(icn)) {
            patientToken = tokenUtils.generatePatientToken(session.appUser.securityKey,
                    appConfig.getIdTypeICN(), icn, "");
        }

        sendResponse(["patientToken": patientToken])
    }

    def index = {
//        // ***Mel*** ContextMgmt stuff
//        OLDLogger.debug(5, null, "** TesterApp REQUEST:" + request.getQueryString());
//
//        def user = session.appUser
//
//        String onLoadScript = "";
//        String liveScript = "";
//
//        String appName = "iehr#";
//        //String appName = "BrokerLoginModule#";
//        // This passcode should be secure when running in production.
//        //def passCode = "kqdQ8siyn1_XwshtOYUJU6orRQVV_PWhKWK9TVbRGG3AnVlKoSHPTRbS-KP3MLAYq5wcmkKIDZUaLWELN0uiAbseTlqwK0ARhZEPqoJzyn9r319qvp_kWP1_dGEIQmnoB4pKsVrVqCMEXMNZdQ0KCp5QeX7nHqg1oQwxHRlH1MpMwnUBFTqAZgs_wfDwDgitY3sDyAM3fKnQtXQBSUaH2a5ZfFajnJxCERavwh3aWOgsHoKwyTmDSssHupUjnPy7";
//        //Janus - from John
//        //iehrpass
//        def passCode = "ac9rVeAVYx2IWS0cIp89NiaB6YWjV2S4GFkEg74HuDm2mRK33ZqphUz1b4gWI-TMIuUi6Ln8e2TSOr95av9PeuS0SSGYihCaDNlmBpjVTgkK4tGrpkKdngEagM87-Tjc9tdA7WS5UOoFY6Z2Y-IsYh0Buiv6PDD2xQWsVOPDM4MMIalOgxzx4q8DNoVsv5fn5laCW8AQpOuhj3JBv7i54Ckb-OZEre7CvHpjfYatTLxAhgJXis10seghaWG5VMnv";
//        //brokerloginmodule
//        //def passCode = "xuDIQ5mKxcFW3F3plSqT9NmiTEBxKJwDbrlAVVbk1qd1bsES9jrzyKKDYvoHn-tRaMMmBZv9sr5-OtU8jusNA70UziGXNKPNJl35yKxA3-viYBjyVZhD2HHLhkVfKXnf";
//        def sessName = "default";
//
//        Collection contextItems = new ArrayList();
//
//        // JEnablerWeb(appName,survey,wait,PROP);
//        if (session.enabler == null){
//            JEnablerWeb enabler = new JEnablerWeb()
//            session.enabler = enabler
//        }
//
//        String cmUrl = request.getParameter("cmUrl");
//        if (cmUrl != null)
//        {
//            session.enabler.setLogLevel(3);
//
//            // Implementation Information
//            Properties prop = new Properties();
//            prop.setProperty("componentName", "iehr");
//            prop.setProperty("revMajorNum", "1");
//            prop.setProperty("revMinorNum", "0");
//            prop.setProperty("partNumber", "1");
//            prop.setProperty("manufacturer", "Carefx Corporation");
//            prop.setProperty("targetOS", "win");
//            prop.setProperty("targetOSRev", "na");
//            prop.setProperty("whenInstalled", "November 10, 2005");
//
//            session.enabler.initEnabler(prop, request, cmUrl, response.encodeURL(""));
//
//            OLDLogger.debug(5, null, "**** Initialized the Enabler");
//            if (!session.enabler.isJoined())
//            {
//                //join(java.lang.String appName,boolean survey,boolean wait)
//                //survey - Returns true if the application should participate in context change surveys; otherwise,
//                //returns false (the default).
//                //wait - Returns true (the default) if the application should wait for a transaction to complete before
//                //joining the context; otherwise, returns false.
//               session.enabler.join(appName, false, false);
//                OLDLogger.debug(5, null, "**** JOINED");
//            }
//
//            if (!session.enabler.isSecure())
//            {
//                try{
//                    session.enabler.bind(passCode);
//                    OLDLogger.debug(5, null, "**** BINDED");
//                    log.debug("*******binded******");
//                } catch (Exception e) {
//                    //e.printStackTrace(System.out);
//                    logger.error(e.getMessage(), e);
//                }
//            }
//            // Add to session.
//            Hashtable sessTable = new Hashtable();
//            sessTable.put(sessName, session.enabler);
//            session.setAttribute("contextSessions", sessTable);
//        }
//
//        // DEBUG melcolm
//        try{
//            String qString = request.getQueryString();
//            if (qString != null){
//                log.debug("*** DEBUG: " + request.getRequestURL().toString() + "?" + qString + " ***");
//
//            } else {
//                log.debug("*** DEBUG: " + request.getRequestURL().toString() + " ***");
//            }
//
//        } catch (Exception e) {
//            //e.printStackTrace(System.out);
//            log.error(e.getMessage(), e);
//        }
//        // DEBUG END
//
//        if (request.getParameter("listenerUrl") != null)
//        {
//            session.enabler.setListenerUrl(request.getParameter("listenerUrl"));
//            // This listener will be registered when
//            // the join method is called.
//
//            // Register the listener with the context manager.
//            if (session.enabler.isJoined())
//            {
//                long cc = session.enabler.register();
//            }
//        }
//
//        String method = request.getParameter("method");
//
//        if ("join".equalsIgnoreCase(method))
//        {
//            liveScript += "                                               " +
//                    "var enablerApplet = getEnablerApplet();                                 " +                                                                      \
//                    "if (enablerApplet != null) {                                            " +
//                    "    enablerApplet.relocate();                                           " +
//                    "}                                                                       " +
//                    "else {                                                                  " +
//                    "   alert('error locating required context applet');                     " +
//                    "}                                                                       " +
//                    "                                                                        ";
//        }
//        else if ("create".equalsIgnoreCase(method) && session.enabler.isJoined() && !session.enabler.isSuspended())
//        {
//            JEnablerWeb newEnabler = session.enabler.createSession(request);
//            sessName = request.getParameter("sessName");
//            Hashtable sessTable = (Hashtable) session.getAttribute("contextSessions");
//            sessTable.put(sessName, newEnabler);
//            session.setAttribute("contextSessions", sessTable);
//        }
//        else if ("activate".equalsIgnoreCase(method) && session.enabler.isJoined() && !session.enabler.isSuspended())
//        {
//            // Get newEnabler from sessionTable
//            sessName = request.getParameter("sessName");
//            Hashtable sessTable = (Hashtable) session.getAttribute("contextSessions");
//            JEnablerWeb newEnabler = (JEnablerWeb) sessTable.get(sessName);
//            session.enabler.activateSession(newEnabler);
//        }
//        else if ("leave".equalsIgnoreCase(method) && session.enabler.isJoined())
//        {
//            session.enabler.leave();
//        }
//        else if ("resume".equalsIgnoreCase(method) && session.enabler.isJoined())
//        {
//            session.enabler.resume();
//        }
//        else if ("suspend".equalsIgnoreCase(method) && session.enabler.isJoined() && !session.enabler.isSuspended())
//        {
//            session.enabler.suspend();
//        }
//        else if (request.getParameter("contextChangeCoupon") != null)
//        {
//            OLDLogger.debug(5, null, "ContextChanged");
//            log.debug("*** debug - contextChangeCoupon - context changed ***");
//            //context changed...do something...
//
//            //workaround for null error when switching from CPRS
//            session.enabler.suspend();
//            session.enabler.resume();
//
//
//        }
//        else if (request.getParameter("decision") != null)
//        {
//            String des = request.getParameter("decision");
//            String cc = request.getParameter("contextCoupon");
//            if ("accept".equalsIgnoreCase(des))
//            {
//                PublishResponse pr = session.enabler.publishChange(TypeDecision.ACCEPT);
//                // Send a message to the notifier
//                liveScript += "                                          " +
//                    "var enablerApplet = getEnablerApplet();                                 " +                                                                      \
//                    "if (enablerApplet != null) {                                            " +
//                    "    enablerApplet.notifyListeners('" + pr.getListenerUrls() + "',        " +
//                    "    " + pr.getCoupon() + ");                                        " +
//                    "}                                                                       " +
//                    "else {                                                                  " +
//                    "   alert('error locating required context applet');                     " +
//                    "}                                                                       ";
//            }
//            else if ("cancel".equalsIgnoreCase(des))
//            {
//                session.enabler.publishChange(TypeDecision.CANCEL);
//            }
//            else if ("break".equalsIgnoreCase(des))
//            {
//                session.enabler.publishChange(TypeDecision.BREAK);
//                // enabler will Suspend Participation
//
//            }
//        }
//        else if ("Login".equalsIgnoreCase(method) && session.enabler.isJoined() && !session.enabler.isSuspended())
//        {
//
//            contextItems = new ArrayList();
//            contextItems.add(new ContextItem("user.id.logon." + userSuffix, request.getParameter("userName")));
//
//            try
//            {
//                session.enabler.setContext(contextItems);
//                SurveyResult sr = session.enabler.endChange();
//                // Could disable the break and/or Cancel buttons
//
//                if (sr.anyObjections())
//                {
//                    // ***** PROBLEM CHANGING
//                    // Send Popup
//                    liveScript += "                                                               " +
//                         "var enablerApplet = getEnablerApplet();                                 " +
//                         "if (enablerApplet != null) {                                            " +
//                         "    enablerApplet.notifyListeners(\"" + pr.getListenerUrls() + "\",     " +
//                         "    " + pr.getCoupon() + ");                                            " +
//                         "}                                                                       " +
//                         "else {                                                                  " +
//                         "   alert('error locating required context applet');                     " +
//                         "}                                                                       ";
//                }
//                else
//                {
//                    PublishResponse pr = session.enabler.publishChange(TypeDecision.ACCEPT);
//                    if (pr.anyListeners())
//                    {
//                        // Send a message to the notifier
//                        liveScript += "                                           " +
//                            "var enablerApplet = getEnablerApplet();                                 " +
//                            "if (enablerApplet != null) {                                            " +
//                            "    enablerApplet.showProblemChanging('" + sr.getObjections() + "',      " +
//                            "    " + (new Boolean(sr.anyBusyApps())).toString() + ",false,false);    " +
//                            "}                                                                       " +
//                            "else {                                                                  " +
//                            "   alert('error locating required context applet');                     " +
//                            "}                                                                       ";
//
//                    }
//                }
//            } catch (CMException cme)
//            {
//                //cme.printStackTrace();
//                log.error(cme.getMessage(), cme);
//            }
//        }
//        else if ("Logout".equalsIgnoreCase(method) && session.enabler.isJoined() && !session.enabler.isSuspended())
//        {
//
//            contextItems = new ArrayList();
//            contextItems.add(new ContextItem("user.id.logon." + userSuffix, ""));
//
//            try
//            {
//                session.enabler.setContext(contextItems);
//                SurveyResult sr = session.enabler.endChange();
//                // Could disable the break and/or Cancel buttons
//
//                if (sr.anyObjections())
//                {
//                    // ***** PROBLEM CHANGING
//                    // Send Popup
//                    liveScript += "                                           " +
//                        "var enablerApplet = getEnablerApplet();                                 " +
//                        "if (enablerApplet != null) {                                            " +
//                        "    enablerApplet.showProblemChanging('" + sr.getObjections() + "',      " +
//                        "    " + (new Boolean(sr.anyBusyApps())).toString() + ",false,false);    " +
//                        "}                                                                       " +
//                        "else {                                                                  " +
//                        "   alert('error locating required context applet');                     " +
//                        "}                                                                       ";
//                }
//                else
//                {
//                    PublishResponse pr = session.enabler.publishChange(TypeDecision.ACCEPT);
//                    if (pr.anyListeners())
//                    {
//                        // Send a message to the notifier
//                        liveScript += "                                           " +
//                            "var enablerApplet = getEnablerApplet();                                 " +
//                            "if (enablerApplet != null) {                                            " +
//                            "    enablerApplet.notifyListeners(\"" + pr.getListenerUrls() + "\",        " +
//                            "    " + pr.getCoupon() + ");                                        " +
//                            "}                                                                       " +
//                            "else {                                                                  " +
//                            "   alert('error locating required context applet');                     " +
//                            "}     ";
//                    }
//                }
//
//            } catch (CMException cme)
//            {
//                //cme.printStackTrace();
//                log.error(cme.getMessage(), cme);
//            }
//
//        } else if (request.getParameter("unregisterListener") != null)
//        {
//            // Only allow listeners to unregister if joined.
//            // This will prevent an unregister if the browser is
//            // terminated.
//            if (session.enabler.isJoined())
//            {
//                session.enabler.unregister(request.getParameter("unregisterListener"));
//            }
//
//        }
//
//        // Setup the context status icon
//        if (session.enabler.isJoined() && !session.enabler.isSuspended())
//        {
//            //resultScript += " setCMStatus(1);";
//            liveScript += " setTimeout('setCMStatus(1)', 3000); setTimeout('setCMStatus(1)', 10000);";
//        } else if (!session.enabler.isJoined() || session.enabler.isSuspended())
//        {
//            //resultScript += " setCMStatus(0);";
//            liveScript += " setTimeout('setCMStatus(0)', 3000);";
//        }
//
//        if ("setPatient".equalsIgnoreCase(method) && session.enabler.isJoined() && !session.enabler.isSuspended())
//        {
//            try
//            {
//                String patid = request.getParameter("pid");
//
//                String[] info = (String[]) pTab.get(patid);
//                contextItems = new ArrayList();
//                contextItems.add(new ContextItem("Patient.id.mrn." + patSuffix, info[1]));
//                if (info[0] != null)
//                {
//                    //replace comma with up-caret as patient name separator (last^first)
//                    contextItems.add(new ContextItem("Patient.co.PatientName", info[0].replace(',', '^')));
//                }
//
//
//                session.enabler.setContext(contextItems);
//                SurveyResult sr = session.enabler.endChange();
//                if (sr.anyObjections())
//                {
//                    // ***** PROBLEM CHANGING
//                    // Send a message to the notifier
//                    liveScript += "                                           " +
//                        "var enablerApplet = getEnablerApplet();                                 " +                                                                      \
//                        "if (enablerApplet != null) {                                            " +
//                        "    enablerApplet.showProblemChanging('" + sr.getObjections() + "',      " +
//                        "    " + (new Boolean(sr.anyBusyApps())).toString() + ",false,false);    " +
//                        "}                                                                       " +
//                        "else {                                                                  " +
//                        "   alert('error locating required context applet');                     " +
//                        "}                                                                       ";
//                }
//                else
//                {
//                    PublishResponse pr = session.enabler.publishChange(TypeDecision.ACCEPT);
//                    if (pr.anyListeners())
//                    {
//                        // Send a message to the notifier
//                        liveScript += "                                           " +
//                            "var enablerApplet = getEnablerApplet();                                 " +                                                                      \
//                            "if (enablerApplet != null) {                                            " +
//                            "    enablerApplet.notifyListeners(\"" + pr.getListenerUrls() + "\",        " +
//                            "    " + pr.getCoupon() + ");                                        " +
//                            "}                                                                       " +
//                            "else {                                                                  " +
//                            "   alert('error locating required context applet');                     " +
//                            "}     ";
//                    }
//                }
//
//            } catch (CMException cme)
//            {
//                //cme.printStackTrace();
//                log.error(cme.getMessage(), cme);
//            }
//        }
//
//        // If joined get current context
//        if (session.enabler.isJoined() && session.enabler.isSecure() && !session.enabler.isSuspended())
//        {
//            try
//            {
//                Collection cNames = session.enabler.getContextNames();
//                contextItems = session.enabler.getContext(cNames);
//
//                String patDFN = "";
//                String patDFNSite = "";
//                String patNationalId = "";
//                String patIEN = "";
//                String patEDI = "";
//
//                for (Iterator i = contextItems.iterator(); i.hasNext();)
//                {
//                    ContextItem ci = (ContextItem) i.next();
////                    if (ci.getItemName().equalsIgnoreCase("patient.id.mrn.patDFN"))
////                    {
////                        patDFN = ci.getItemValue();
////                    }
////                    if (ci.getItemName().equalsIgnoreCase("patient.id.mrn.siteCode"))
////                    {
////                        patDFNSite = ci.getItemValue();
////                    }
//                    if (ci.getItemName().equalsIgnoreCase("Patient.id.mrn.IEN"))
//                    {
//                        patIEN = ci.getItemValue();
//                    }
//                    if (ci.getItemName().equalsIgnoreCase("Patient.id.mrn.EDI_PN"))
//                    {
//                        patEDI = ci.getItemValue();
//                    }
//                    if (ci.getItemName().equalsIgnoreCase("patient.id.mrn.NationalIDNumber") || ci.getItemName().equalsIgnoreCase("patient.id.mrn.NationalIDNumber_test"))
//                    {
//                        patNationalId = ci.getItemValue();
//                    }
//                    if (ci.getItemName().toLowerCase().contains("patient.id.mrn.dfn_")){
//                        patDFN = ci.getItemValue();
//                    }
//                    if (ci.getItemName().toLowerCase().contains("patient.id.mrn.dfn_") && (ci.getItemName().length() > 21)){
//                        patDFNSite = ci.getItemName().substring(19,22);
//                    }
//                }
//
////                if (patIEN != "" && patDFNSite.equals("")){
////                    patDFNSite = user.getHostSite().getSiteCode();
////                    patDFN = patIEN;
////                }
//
//                if(patDFN != "" && patDFNSite != "")
//                {
//                    String patientToken = tokenUtils.generatePatientToken(session.appUser.securityKey,
//                            appConfig.getIdTypeVAIen(), patDFN, patDFNSite);
//                    onLoadScript += " top.view.Ext.hui.app.selectPatient('" + patientToken + "','','load');"
//                    liveScript += " setTimeout('contextLoad()',2000); ";
//                } else if (patEDI != ""){
//
//                    String patientToken = tokenUtils.generatePatientToken(session.appUser.securityKey,
//                            appConfig.getIdTypeEDIPI(), patIEN, "");
//                    onLoadScript += " top.view.Ext.hui.app.selectPatient('" + patientToken + "','','load');"
//                    liveScript += " setTimeout('contextLoad()',2000); ";
//                }
//
//
//            } catch (Exception e){
//                liveScript += " alert(' Error detected while handling context.'); ";
//                //e.printStackTrace(System.out);
//                log.error(e.getMessage(), e);
//            } catch (CMException cme){
//                liveScript += " alert(' Error detected while handling context.'); ";
//                //cme.printStackTrace(System.out);
//                log.error(cme.getMessage(), cme);
//            }
//        }
//
////        if ("".equals(patName) && !"".equals(patMrn))
////        {
////            patName = patMrn;
////        } else if ("".equals(patName) && "".equals(patMrn))
////        {
////            patName = "&nbsp;";
////        }
//
//
//        // ***Mel*** End ContextMgmt stuff
//
//        ["onLoadScript":onLoadScript,"liveScript":liveScript]
    }

}
