package jlv

import gov.va.med.guibeans.GUIInsurance
import gov.va.med.guibeans.GUISite
import gov.va.med.jmeadows.webservice.NarrativeV4

class PatientInsurancesController extends BaseController {


    def insuranceDao

    static allowedMethods = [list: 'POST']

    def beforeInterceptor = {

        if (request.patient == null) {
            response.sendError 500
            return false;
        }
    }


    def list = {

        def includeVLER = false;

        if (params["includeVLER"] == "true") {
            includeVLER = true;
        }

        HashSet narrativeIds = new HashSet();

        def guiInsurances = insuranceDao.getPatientInsurances(session.appUser, request.patient, includeVLER)

        //generate record details token
        if (guiInsurances != null) {
            for (def guiInsurance : guiInsurances) {

                if (guiInsurance.getNarrativeId() != null && !"".equalsIgnoreCase(guiInsurance.getNarrativeId())) {
                    narrativeIds.add(guiInsurance.getNarrativeId());

                    if(guiInsurance.getSite() != null && guiInsurance.getSite().getName() != null
                            && "VLER".equalsIgnoreCase(guiInsurance.getSite().getName())
                            && guiInsurance.getSite().getSiteCode() != null){
                        String siteName = session.appUser.partnersMap.get(guiInsurance.getSite().getSiteCode());
                        if(siteName != null){
                            guiInsurance.getSite().setName(siteName);
                        }
                        guiInsurance.getSite().setAgency("VLER");
                    }
                }

            }
        }
        if (includeVLER && session.appUser.narrativesMap != null
                && !session.appUser.narrativesMap.isEmpty()) {
            Iterator narrativeIter = session.appUser.narrativesMap.entrySet().iterator();

            //loop through all narratives, check the allergy ones to see if they are referenced in this call
            //if they are not referenced, then create a record for them so the user is able to view this narrative
            while (narrativeIter.hasNext()) {
                Map.Entry narrative = (Map.Entry) narrativeIter.next();
                if (narrative.getKey().toString().contains("48768-6")) {
                    //check to see if record using this narrative exists
                    if (!narrativeIds.contains(narrative.getKey().toString())) {
                        NarrativeV4 narrativeItem = session.appUser.narrativesMap.get(narrative.getKey().toString());
                        String siteName = "VLER";
                        String siteMoniker = "VLER Partner";
                        if (narrativeItem != null)
                            if (narrativeItem.getNarrativeHomeCommunityIdentifier() != null
                                    && session.appUser.partnersMap.get(narrativeItem.getNarrativeHomeCommunityIdentifier()) != null) {
                                siteName = session.appUser.partnersMap.get(narrativeItem.getNarrativeHomeCommunityIdentifier());
                            }
                        if (narrativeItem.getNarrativeHomeCommunityIdentifier() != null
                                && session.appUser.partnersMap.get(narrativeItem.getNarrativeHomeCommunityIdentifier()) != null) {
                            siteMoniker = session.appUser.partnersMap.get(narrativeItem.getNarrativeAssigningAuthorityIdentifier());
                        }
                        GUISite narrativeSite = new GUISite();
                        narrativeSite.setAgency("VLER");
                        narrativeSite.setName(siteName);
                        narrativeSite.setMoniker(siteMoniker);
                        narrativeSite.setSiteCode("VLER");

                        GUIInsurance narrativeRecord = new GUIInsurance();
                        narrativeRecord.setNarrativeId(narrative.getKey().toString());
                        narrativeRecord.setSite(narrativeSite);
                        narrativeRecord.setInsuranceType("Narrative");
                        guiInsurances.add(narrativeRecord);

                        narrativeIds.add(narrative.getKey().toString());
                    }

                }
            }

        }
        sendResponse(guiInsurances)
    }


}
