package gov.va.med.common;


import grails.util.Holders;
import groovy.util.ConfigObject;
import org.springframework.context.annotation.Configuration;

@Configuration
public class AppConfig {
    private ConfigObject configObject;

    public AppConfig() {
        this.configObject = Holders.getConfig();
    }

    public ConfigObject getConfigObject() {
        return configObject;
    }

    public void setConfigObject(ConfigObject configObject) {
        this.configObject = configObject;
    }

    //local sites
    public String getLocalSiteCodeVA() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("localSiteCodeVA");
    }

    public String getLocalSiteCodeDOD() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("localSiteCodeDOD");
    }

    //supported agencies
    public String getAgencyVA() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("agencyVA");
    }

    public String getAgencyDOD() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("agencyDOD");
    }

    public String getCachedTag() {
        return "cached:";
    }

    //ssl debug
    public boolean getTrustAllSSLHostnamesAndCerts() {
        return Boolean.valueOf((String) ((ConfigObject) configObject.getProperty("grails")).getProperty("trustAllSSLHostnamesAndCerts"));
    }


    public String getJMeadowsURL() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("jmeadowsURL");
    }

    public String getDodVlerURL() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("dodVlerURL");
    }

    public String getDodVlerTestId() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("dodVlerTestId");
    }

    public String getJMeadowsUsername() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("jmeadowsUsername");
    }

    public String getJMeadowsPassword() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("jmeadowsPassword");
    }

    public int getConnectionTimeoutMS() {
        return Integer.parseInt((String) configObject.getProperty("connectionTimeoutMS"));
    }

    public int getRequestTimeoutMS() {
        return Integer.parseInt((String) configObject.getProperty("requestTimeoutMS"));
    }

    public int getVLERRequestTimeoutMS() {
        return Integer.parseInt((String) configObject.getProperty("vlerRequestTimeoutMS"));
    }

    public String getVlerStyleSheet() {
        return (String) configObject.getProperty("vlerStyleSheet");
    }

    public String getAppName() {
        return (String) configObject.getProperty("appName");
    }

    public String getProtocolRPC() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("protocolRPC");
    }

    public String getProtocolCache() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("protocolCache");
    }

    public String getProtocolShare() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("protocolShare");
    }

    public String getProtocolMedweb() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("protocolMedweb");
    }

    public String getProtocolDODAdapter() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("protocolDODAdapter");
    }

    public boolean getFilterOutVAImmunizations() {
        return Boolean.valueOf((String) ((ConfigObject) configObject.getProperty("grails")).getProperty("filterOutVAImmunizations"));
    }

    public boolean isEncryptedTokenDebug() {
        return Boolean.valueOf((String) ((ConfigObject) configObject.getProperty("grails")).getProperty("isEncryptedTokenDebug"));
    }

    public String getIdTypeEDIPI() {
        return "EDIPI";
    }

    public String getIdTypeVAIen() {
        return "VAIEN";
    }

    public String getIdTypeICN() {
        return "ICN";
    }

    public boolean getSmartCardBypass() {
        return Boolean.valueOf((String) ((ConfigObject) configObject.getProperty("grails")).getProperty("smartCardBypass"));
    }

    public String getTestSmartCard() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("testSmartCard");
    }

    public boolean getDodUserAuthEnabled() {
        return Boolean.valueOf((String) ((ConfigObject) configObject.getProperty("grails")).getProperty("dodAuthUserEnabled"));
    }

    public boolean getVaUserAuthEnabled() {
        return Boolean.valueOf((String) ((ConfigObject) configObject.getProperty("grails")).getProperty("vaAuthUserEnabled"));
    }

    public boolean getEnableWSSecurityHeader() {
        return Boolean.valueOf((String) ((ConfigObject) configObject.getProperty("grails")).getProperty("enableWSSecurityHeader"));
    }

    public boolean getSeqCardIdSelEnabled() {
        return Boolean.valueOf((String) ((ConfigObject) configObject.getProperty("grails")).getProperty("seqCardIdSelEnabled"));
    }

    public Long getSeqCardIdSelMinId() {
        Long val = -1L;
        try {
            val = Long.parseLong((String) ((ConfigObject) configObject.getProperty("grails")).getProperty("seqCardIdSelMinId"));
        } catch (NumberFormatException e) {
            val = -1L;
        }
        return val;
    }

    public Long getSeqCardIdSelMaxId() {
        Long val = -1L;
        try {
            val = Long.parseLong((String) ((ConfigObject) configObject.getProperty("grails")).getProperty("seqCardIdSelMaxId"));
        } catch (NumberFormatException e) {
            val = -1L;
        }
        return val;
    }

    public boolean getAuditAhltaLoginAttempt() {
        return Boolean.valueOf((String) ((ConfigObject) configObject.getProperty("grails")).getProperty("auditAhltaLoginAttempt"));
    }

    public String getDoDHelpDeskName() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("DoDHelpDeskName");
    }

    public String getDoDHelpDeskPhone() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("DoDHelpDeskPhone");
    }

    public String getDoDHelpDeskEmail() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("DoDHelpDeskEmail");
    }

    public String getVAHelpDeskName() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("VAHelpDeskName");
    }

    public String getVAHelpDeskPhone() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("VAHelpDeskPhone");
    }

    public String getVAHelpDeskEmail() {
        return (String) ((ConfigObject) configObject.getProperty("grails")).getProperty("VAHelpDeskEmail");
    }
}
