package gov.va.med.common;

import gov.va.med.jmeadows.JMeadowsServiceHandler;
import gov.va.med.jmeadows.JMeadowsServiceHandlerImpl;
import org.dozer.DozerBeanMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.util.Arrays;

@Configuration
public class BeanFactory {
    @Autowired
    private AppConfig appConfig;

    @Bean
    public JMeadowsServiceHandler serviceHandler() {
        JMeadowsServiceHandlerImpl serviceHandler = new JMeadowsServiceHandlerImpl();
        serviceHandler.setAppName(appConfig.getAppName());
        serviceHandler.setServiceURL(appConfig.getJMeadowsURL());
        serviceHandler.setRequestTimeoutMS(appConfig.getRequestTimeoutMS());
        serviceHandler.setConnectionTimeoutMS(appConfig.getConnectionTimeoutMS());
        serviceHandler.setUsername(appConfig.getJMeadowsUsername());
        serviceHandler.setPassword(appConfig.getJMeadowsPassword());

        return serviceHandler;
    }

    @Bean
    public JMeadowsServiceHandler extServiceHandler() {
        JMeadowsServiceHandlerImpl serviceHandler = new JMeadowsServiceHandlerImpl();
        serviceHandler.setAppName(appConfig.getAppName());
        serviceHandler.setServiceURL(appConfig.getJMeadowsURL());
        serviceHandler.setRequestTimeoutMS(appConfig.getVLERRequestTimeoutMS());
        serviceHandler.setConnectionTimeoutMS(appConfig.getConnectionTimeoutMS());
        serviceHandler.setUsername(appConfig.getJMeadowsUsername());
        serviceHandler.setPassword(appConfig.getJMeadowsPassword());

        return serviceHandler;
    }

    @Bean
    public DozerBeanMapper dozerBeanMapper() {
        DozerBeanMapper dozerBeanMapper = new DozerBeanMapper();
        dozerBeanMapper.setMappingFiles(Arrays.asList("dozerBeanMappings.xml"));

        return dozerBeanMapper;
    }
}
