/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package gov.va.med.common;

import java.security.SecureRandom;

/**
 * Created by IntelliJ IDEA.
 * User: vhahongotom
 * Date: 5/23/11
 * Time: 2:14 PM
 * To change this template use File | Settings | File Templates.
 */
public class Demo {

    public static String scramble(String word) {
        int wordLength = word.length();
        StringBuilder builder = new StringBuilder(wordLength);
        boolean[] used = new boolean[wordLength];

        SecureRandom secureRandom = new SecureRandom();
        secureRandom.setSeed(System.currentTimeMillis());

        for (int i = 0; i < wordLength; i++) {
            int rndIndex;
            do {
                rndIndex = secureRandom.nextInt(wordLength);
            } while (used[rndIndex]);
            used[rndIndex] = true;
            builder.append(word.charAt(rndIndex));
        }
        return builder.toString();
    }


}
