/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package gov.va.med.common;

/**
 *
 *
 */
public class HttpKeys {
    public static final String PATIENT_NAME = "patName";
    public static final String CONTEXT_NOTIFY = "cmNotify";
    public static final String PATIENT_ID = "patId";
    public static final String ID_TYPE = "idType";
    public static final String PATIENT_SITE_CODE = "patSiteCode";
    public static final String PATIENT_TOKEN = "patToken";
    public static final String RECORD_DETAILS_TOKEN = "recToken";
    public static final String TIMESTAMP = "tmstmp";
    public static final String SESSION_CACHED_RECORD = "sessionCachedRecord";
    public static final String START_DATE = "startDate";
    public static final String END_DATE = "endDate";
    public static final String RECORD_SITE_CODE = "recordSiteCode";
    public static final String RECORD_SITE_MONIKER = "recordSiteMoniker";
    public static final String RECORD_SITE_AGENCY = "recordSiteAgency";
    public static final String RECORD_SOURCE_PROTOCOL = "recordSourceProtocol";
    public static final String RECORD_CONTROLLER_NAME = "recordControllerName";
    public static final String RECORD_CACHE_KEY = "recCacheKey";
    public static final String MEDWEB_URL = "medwebURL";
    public static final String MEDWEB_USR = "medwebUsr";
    public static final String MEDWEB_PWD = "medwebPWD";
    public static final String MEDWEB_AETITLE = "medwebAETitle";
    public static final String MEDWEB_ACCESSION_PREFIX = "medwebAccessionPrefix";

    public static final String ADMISSION_ID = "admissionId";
    public static final String ADMISSION_DATE = "admissionDate";
    public static final String ALLERGY_ID = "allergyId";
    public static final String APPOINTMENT_ID = "appointmentId";
    public static final String CLINICAL_REMINDER_ID = "clinicalReminderId";
    public static final String CONSULT_ID = "consultId";
    public static final String ENCOUNTER_ID = "encounterId";
    public static final String FORM_ID = "formId";
    public static final String NOTE_ID = "noteId";
    public static final String MEDICATION_ID = "medicationId";
    public static final String LAB_TEST_ID = "labTestId";
    public static final String LAB_ORDER_ID = "labOrderId";
    public static final String NARRATIVE_ID = "narrativeId";
    public static final String ORDER_ID = "orderId";
    public static final String PROBLEM_ID = "problemId";
    public static final String PROCEDURES_ID = "procedureId";
    public static final String RAD_CACHE_ID = "cacheId";
    public static final String RAD_EXAM_ID = "radExamId";
    public static final String RAD_PRIORITY = "radPriority";
    public static final String RECORD_DATE = "recordDate";
    public static final String RECORD_ITEM_ID = "recordItemId";
    public static final String QUERY_NAME = "queryName";
    public static final String RADIOLOGY_ACCESSION_NUMBER = "radiologyAccessionNum";
    public static final String LAB_ACCESSION_NUMBER = "labAccessionNum";
    public static final String LAB_RESULT_CHEMORT = "labResultChemORT";
    public static final String LAB_RESULT_SUBSCRIPT = "labResultSubscript";
    public static final String LAB_RESULT_COLLECTED_DATE = "labResultCollectedDate";
    public static final String HISTORY_ENTERED_BY_DATE = "historyEnteredByDate";
    public static final String VITAL_TYPE = "vitalType";
    public static final String VITAL_UNITS = "vitalUnits";
    public static final String VITAL_QUALIFIERS = "vitalQualifiers";
    public static final String VITAL_UNITS_CODE = "vitalUnitsCode";
    public static final String VLER_DOCUMENT_ID = "vlerDocumentId";
    public static final String VLER_HOMECOMMUNITY_ID = "vlerHomeCommunityId";
    public static final String VLER_REPOSITORY_ID = "vlerRepositoryId";
    public static final String VLER_DOCUMENT_INSTITUTION = "vlerDocumentName";
    public static final String VLER_DOCUMENT_NAME = "vlerDocumentInstitution";
    public static final String INSURANCE_ID = "insuranceId";
    public static final String AUDIT_TEXT = "auditText";
}
