package gov.va.med.dao;

import gov.va.med.guibeans.GUIPatient;
import gov.va.med.guibeans.GUIUser;
import org.apache.commons.lang3.StringUtils;
import org.apache.log4j.Logger;
import org.springframework.stereotype.Component;

import javax.xml.soap.SOAPException;
import java.util.Calendar;

@Component
public class AuditDao extends DaoBase {
    private static final Logger logger = Logger.getLogger(AuditDao.class.getName());

    //    public void auditQuery(String queryName, GUIUser user, GUIPatient patient)
//    {
//        auditQuery(queryName, user, patient, null, null);
//    }
//
//    public void auditQuery(String queryName, GUIUser user, GUIPatient patient,
//                                  Calendar startDate, Calendar endDate)
//    {
//
//        String userSiteCode = null;
//        String userIen = null;
//        String providerIen = null;
//        String npi = null;
//        String userName = null;
//        String patientIen = null;
//        String startDateStr = null;
//        String endDateStr = null;
//
//        if (user != null)
//        {
//            if (user.getHostSite() != null && user.getHostSite().getSiteCode() != null)
//                userSiteCode = user.getHostSite().getSiteCode();
//
//            userIen = user.getUserIen();
//            providerIen = user.getProviderIen();
//            npi = user.getNpi();
//            userName = user.getName();
//        }
//
//        if (patient != null)
//        {
//            patientIen = patient.getEDIPI();
//        }
//
//        if (startDate != null)
//        {
//            startDateStr = Utils.formatSQLDateTime(startDate.getTime());
//        }
//
//        if (endDate != null)
//        {
//            endDateStr = Utils.formatSQLDateTime(endDate.getTime());
//        }
//
//        try {
//            getServiceHandler().logAudit(userSiteCode, userIen,
//                    providerIen, npi, userName,
//                    patientIen, queryName, startDateStr, endDateStr);
//        } catch (SOAPException e) {
//            logger.error(e.getMessage(), e);
//        }
//    }

    public void auditDetailsQuery(String queryName, GUIUser user, GUIPatient patient,
                                  String itemId, String recordSiteMoniker, String recordSiteAgency) {

        String userSiteCode = null;
        String userIen = null;
        String providerIen = null;
        String npi = null;
        String userName = null;
        String patientIen = null;

        if (user != null) {
            if (user.getHostSite() != null && user.getHostSite().getSiteCode() != null)
                userSiteCode = user.getHostSite().getSiteCode();

            userIen = user.getUserIen();
            providerIen = user.getProviderIen();
            npi = user.getNpi();
            userName = user.getName();
        }

        if (patient != null) {
            patientIen = patient.getEDIPI();
        }

        if (StringUtils.isNotBlank(recordSiteAgency)) {
            queryName += "^" + recordSiteAgency;
        }

        if (StringUtils.isNotBlank(recordSiteMoniker)) {
            queryName += "^" + recordSiteMoniker;
        }

        if (StringUtils.isNotBlank(itemId)) {
            queryName += "^" + itemId;
        }

        try {
            getServiceHandler().logAudit(userSiteCode, userIen,
                    providerIen, npi, userName,
                    patientIen, queryName, null, null);
        } catch (SOAPException e) {
            logger.error(e.getMessage(), e);
        }
    }
}
