package gov.va.med.dao;

import gov.va.med.guibeans.GUIPatient;
import gov.va.med.guibeans.GUIPatientForm;
import gov.va.med.guibeans.GUIUser;
import gov.va.med.jmeadows.webservice.Form;
import gov.va.med.vhahon.common.Utils;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Component
public class QuestionnaireDao extends DaoBase {


//    /**
//     * Retrieves a list of patient questionnaires from all available patient locations.
//     *
//     * @param user    {@link gov.va.med.guibeans.GUIUser} making the request.
//     * @param patient {@link gov.va.med.guibeans.GUIPatient} patient retrieving procedures from this patient record.
//     * @return A list of patient procedures.
//     */
//
//    public List<GUIQuestionnaire> getPatientQuestionnaires(GUIUser user, GUIPatient patient) {
//
//        try {
//            QuestionnaireBean[] questionnaireBeans = getServiceHandler().getPatientQuestionnaires(
//                    jMeadowsQueryBuilderFactory.getBuilder()
//                            .user(user)
//                            .patient(patient)
//                            .build());
//
//            List<GUIQuestionnaire> guiQuestionnaires = new ArrayList<GUIQuestionnaire>();
//
//            for (QuestionnaireBean questionnaireBean : questionnaireBeans) {
//
//                guiQuestionnaires.add(dozerBeanMapper.map(questionnaireBean, GUIQuestionnaire.class));
//            }
//
//
//            return guiQuestionnaires;
//
//        } catch (Exception ex) {
//            throw new DaoException(ex);
//        }
//    }
//

    /**
     * Retrieves a list of patient forms from all available patient locations.
     *
     * @param user    {@link gov.va.med.guibeans.GUIUser} making the request.
     * @param patient {@link gov.va.med.guibeans.GUIPatient} patient retrieving procedures from this patient record.
     * @return A list of patient forms.
     */
    public List<GUIPatientForm> getPatientForms(GUIUser user, GUIPatient patient) {

        try {

            Form[] forms = getServiceHandler().getPatientForms(
                    jMeadowsQueryBuilderFactory.getBuilder()
                            .user(user)
                            .patient(patient)
                            .build());

            List<GUIPatientForm> guiForms = new ArrayList<GUIPatientForm>();
            StringBuilder formId = new StringBuilder();
            String newFormId;
            int i = 0;

            for (Form form : forms) {

                GUIPatientForm guiForm = dozerBeanMapper.map(form, GUIPatientForm.class);

                formId.setLength(0);
                newFormId = (form.getFormId() != null) ? form.getFormId() : "";

                if (form.getFormDate() != null)
                    guiForm.setFormDate(Utils.formatDisplayDate(form.getFormDate()));
                if (appConfig.getProtocolDODAdapter().equals(form.getSourceProtocol())) {
                    guiForm.setSessionCachedRecord(true);
                    formId.append(appConfig.getCachedTag());
                    formId.append(i);
                } else {
                    formId.append(newFormId);
                }

                guiForm.setFormId(formId.toString());

                if (guiForm.getDeploymentForm() != null) {
                    guiForm.setNoteAsBinaryStream(true);
                    if (guiForm.getDeploymentForm().getNoteText() != null && !guiForm.getDeploymentForm().getNoteText().isEmpty())
                        guiForm.getDeploymentForm().setNoteFormat("CDA");
                }

                guiForms.add(guiForm);
                i++;
            }


            return guiForms;

        } catch (Exception ex) {
            throw new DaoException(ex);
        }
    }


}
