/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package gov.va.med.guibeans;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 *
 *
 */

public class GUIBean implements Serializable {

    public static final long serialVersionUID = 100;

    private GUISite site;
    private String guiIpAddress;

    private String sourceProtocol;
    private String recordDetailsToken;
    private String narrativeId;
    private List<GUICode> codes;
    private String eventId;


    /**
     * is bean to be stored in session? (notes (in/out), consults, problems)
     */
    private boolean sessionCachedRecord;


    public String getRecordDetailsToken() {
        return recordDetailsToken;
    }

    public void setRecordDetailsToken(String recordDetailsToken) {
        this.recordDetailsToken = recordDetailsToken;
    }

    public boolean isSessionCachedRecord() {
        return sessionCachedRecord;
    }

    public void setSessionCachedRecord(boolean sessionCachedRecord) {
        this.sessionCachedRecord = sessionCachedRecord;
    }

    public String getSourceProtocol() {
        return sourceProtocol;
    }

    public void setSourceProtocol(String sourceProtocol) {
        this.sourceProtocol = sourceProtocol;
    }

    public GUISite getSite() {
        return site;
    }

    public void setSite(GUISite site) {
        this.site = site;
    }

    public List<GUICode> getCodes() {
        if (codes == null) {
            codes = new ArrayList<GUICode>();
        }
        return codes;
    }

    public void setCodes(List<GUICode> codes) {
        this.codes = codes;
    }

    public String getNarrativeId() {
        return narrativeId;
    }

    public void setNarrativeId(String narrativeId) {
        this.narrativeId = narrativeId;
    }

    public String getGuiIpAddress() {
        return guiIpAddress;
    }

    public void setGuiIpAddress(String guiIpAddress) {
        this.guiIpAddress = guiIpAddress;
    }

    public String getEventId() {
        return eventId;
    }

    public void setEventId(String eventId) {
        this.eventId = eventId;
    }
}
