/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package gov.va.med.guibeans;

import java.util.List;

public class GUILabOrder extends GUIBean {

    private String testName;
    private String collectionDate;
    private String orderedDate;
    private String labOrderStatus;
    private String sample;
    //private String chemId;
    private String chemORT;
    private String subscript;
    private boolean freeTextReport;
    private List<GUILabResult> labResults;

    private String status;
    private String stationNumber;
    private String collectionSample;
    private String comment;
    private String facilityName;
    private String urgency;
    private GUIProvider requestingProvider;
    private String orderId;
    private boolean sensitive;

    public String getTestName() {
        return testName;
    }

    public void setTestName(String testName) {
        this.testName = testName;
    }

    public String getCollectionDate() {
        return collectionDate;
    }

    public void setCollectionDate(String collectionDate) {
        this.collectionDate = collectionDate;
    }

    public String getSample() {
        return sample;
    }

    public void setSample(String sample) {
        this.sample = sample;
    }

//    public String getChemId() {
//        return chemId;
//    }
//
//    public void setChemId(String chemId) {
//        this.chemId = chemId;
//    }


    public boolean isSensitive() {
        return sensitive;
    }

    public void setSensitive(boolean sensitive) {
        this.sensitive = sensitive;
    }

    public String getChemORT() {
        return chemORT;
    }

    public void setChemORT(String chemORT) {
        this.chemORT = chemORT;
    }

    public String getSubscript() {
        return subscript;
    }

    public void setSubscript(String subscript) {
        this.subscript = subscript;
    }

    public boolean isFreeTextReport() {
        return freeTextReport;
    }

    public void setFreeTextReport(boolean freeTextReport) {
        this.freeTextReport = freeTextReport;
    }

    public List<GUILabResult> getLabResults() {
        return labResults;
    }

    public void setLabResults(List<GUILabResult> labResults) {
        this.labResults = labResults;
    }

    public String getOrderedDate() {
        return orderedDate;
    }

    public void setOrderedDate(String orderedDate) {
        this.orderedDate = orderedDate;
    }

    public String getLabOrderStatus() {
        return labOrderStatus;
    }

    public void setLabOrderStatus(String labOrderStatus) {
        this.labOrderStatus = labOrderStatus;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getStationNumber() {
        return stationNumber;
    }

    public void setStationNumber(String stationNumber) {
        this.stationNumber = stationNumber;
    }

    public String getCollectionSample() {
        return collectionSample;
    }

    public void setCollectionSample(String collectionSample) {
        this.collectionSample = collectionSample;
    }

    public String getComment() {
        return comment;
    }

    public void setComment(String comment) {
        this.comment = comment;
    }

    public String getFacilityName() {
        return facilityName;
    }

    public void setFacilityName(String facilityName) {
        this.facilityName = facilityName;
    }

    public String getUrgency() {
        return urgency;
    }

    public void setUrgency(String urgency) {
        this.urgency = urgency;
    }

    public GUIProvider getRequestingProvider() {
        return requestingProvider;
    }

    public void setRequestingProvider(GUIProvider requestingProvider) {
        this.requestingProvider = requestingProvider;
    }

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

}
