/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package gov.va.med.guibeans;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class GUIPatient implements Serializable {
    public static final long serialVersionUID = 100;

    private String age;
    private String dob;
    private String EDIPI;
    private String ahltaUnitNumber;
    private String gender;
    private String name;
    private String ssn;
    private String fmp;
    private boolean sensitive;
    private String ICN;
    private List<GUISite> vistaSites;
    private List<GUIKeyValuePair> patientIens;


    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }

    public String getDob() {
        return dob;
    }

    public void setDob(String dob) {
        this.dob = dob;
    }

    public String getEDIPI() {
        return EDIPI;
    }

    public void setEDIPI(String EDIPI) {
        this.EDIPI = EDIPI;
    }

    public String getAhltaUnitNumber() {
        return ahltaUnitNumber;
    }

    public void setAhltaUnitNumber(String ahltaUnitNumber) {
        this.ahltaUnitNumber = ahltaUnitNumber;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSsn() {
        return ssn;
    }

    public void setSsn(String ssn) {
        this.ssn = ssn;
    }

    public String getFmp() { return fmp; }

    public void setFmp(String fmp) { this.fmp = fmp; }

    public boolean isSensitive() {
        return sensitive;
    }

    public void setSensitive(boolean sensitive) {
        this.sensitive = sensitive;
    }

    public String getICN() {
        return ICN;
    }

    public void setICN(String ICN) {
        this.ICN = ICN;
    }

    public List<GUISite> getVistaSites() {

        if (vistaSites == null) {
            vistaSites = new ArrayList<GUISite>();
        }

        return vistaSites;
    }

    public void setVistaSites(List<GUISite> vistaSites) {
        this.vistaSites = vistaSites;
    }

    public List<GUIKeyValuePair> getPatientIens() {

        if (patientIens == null) {
            patientIens = new ArrayList<GUIKeyValuePair>();
        }

        return patientIens;
    }

    public void setPatientIens(List<GUIKeyValuePair> patientIens) {
        this.patientIens = patientIens;
    }
}
