/*
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *             Honorable Senator Daniel K. Inouye
 *             VA Pacific Islands Health Care System
 *             Tripler Army Medical Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 *
 * You may obtain a copy of the License at:
 *
 *            http://www.apache.org/licenses/LICENSE-2.0.txt
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and limitations under the License.
 */


package gov.va.med.guibeans;

import java.io.Serializable;

public class GUIVitalsGraphEntry implements Serializable {
    public static final long serialVersionUID = 100;

    private String dateTimeTaken;
    private String type;
    private boolean isBloodPressureVital;
    private String rate;
    private String systolicRate;
    private String diastolicRate;
    private GUISite site;
    private String sourceProtocol;
    private String units;
    private String qualifiers;

    public String getDateTimeTaken() {
        return dateTimeTaken;
    }

    public void setDateTimeTaken(String dateTimeTaken) {
        this.dateTimeTaken = dateTimeTaken;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public boolean isBloodPressureVital() {
        return isBloodPressureVital;
    }

    public void setBloodPressureVital(boolean bloodPressureVital) {
        isBloodPressureVital = bloodPressureVital;
    }

    public String getRate() {
        return rate;
    }

    public void setRate(String rate) {
        this.rate = rate;
    }

    public String getSystolicRate() {
        return systolicRate;
    }

    public void setSystolicRate(String systolicRate) {
        this.systolicRate = systolicRate;
    }

    public String getDiastolicRate() {
        return diastolicRate;
    }

    public void setDiastolicRate(String diastolicRate) {
        this.diastolicRate = diastolicRate;
    }

    public GUISite getSite() {
        return site;
    }

    public void setSite(GUISite site) {
        this.site = site;
    }

    public String getSourceProtocol() {
        return sourceProtocol;
    }

    public void setSourceProtocol(String sourceProtocol) {
        this.sourceProtocol = sourceProtocol;
    }

    public String getUnits() {
        return units;
    }

    public void setUnits(String units) {
        this.units = units;
    }

    public String getQualifiers() {
        return qualifiers;
    }

    public void setQualifiers(String qualifiers) {
        this.qualifiers = qualifiers;
    }
}
