/*
 * Janus 4.0 (c)
 * Copyright (c) 2013 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */
 
 
package gov.va.med.rpc;

import java.text.DateFormat;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;

/**
 *
 * @author VHAHONUYEHAC
 */
public class M {
    public static String getPiece(int pieceNumber, String input) {
        return StringUtils.piece(input, pieceNumber);
    }
    
    public static String getPiece(String delimiter, int pieceNumber, String input)
    {
        return StringUtils.piece(input, delimiter, pieceNumber);
    }
    
    public static Date filemanDateToDate(String infilemanDate) throws ParseException {
        DateFormat formatter = null;
        String filemanDate = infilemanDate.trim();
        
        if ("MAR 01, 2011@01:00".length() == filemanDate.length()) {
            formatter = new SimpleDateFormat("MMM dd, yyyy@HH:mm", Locale.getDefault());
        }  else if ("FEB 23, 2011@06:08:03".length() == filemanDate.length()) {
            formatter = new SimpleDateFormat("MMM dd, yyyy@HH:mm:ss", Locale.getDefault());
        } else {
            throw new ParseException("Unable to identify fileman output pattern", 0);
        }
        
        return formatter.parse(filemanDate);
    }
    
    public static Date stringToDate(String indate, String datePattern) throws ParseException {
        String date = indate.trim();
        DateFormat formatter = new SimpleDateFormat(datePattern, Locale.getDefault());
        return formatter.parse(date);
    }
}
