package gov.va.med.vds.dataservicehandler;

//import gov.hhs.fha.nhinc.adapterpatientdiscovery.AdapterPatientDiscovery;
//import gov.hhs.fha.nhinc.adapterpatientdiscovery.AdapterPatientDiscoveryPortType;
import gov.hhs.fha.nhinc.entitypatientdiscovery.EntityPatientDiscovery;
import gov.hhs.fha.nhinc.entitypatientdiscovery.EntityPatientDiscoveryPortType;
import gov.va.med.vds.common.NHINHandlerException;
import gov.va.med.vds.vistabeans.QueryBean;
import gov.va.med.vhahon.common.Utils;

import java.net.MalformedURLException;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.Locale;

import javax.xml.bind.JAXBElement;
import javax.xml.namespace.QName;
import javax.xml.ws.BindingProvider;
import javax.xml.ws.handler.Handler;

import org.hl7.v3.*;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;

/**
 * Created with IntelliJ IDEA.
 * User: melcolm
 * Date: 5/21/14
 * Time: 1:57 PM
 * To change this template use File | Settings | File Templates.
 */
public class AdapterPatientDiscoveryHandler extends AdapterHandler {

//    private static final Logger LOGGER = LoggerFactory.getLogger(AdapterPatientDiscoveryHandler.class);
    private EntityPatientDiscovery patDiscoveryService;

    public AdapterPatientDiscoveryHandler(String url) {
        super();

        serviceURL = url;
        serviceName = "AdapterPatientDiscovery";
        serviceNamespace = "http://adapterpatientdiscovery.nhinc.fha.hhs.gov";
        qServiceName = new QName(serviceNamespace, serviceName);

    }

//    private EntityPatientDiscoveryPortType getAdapterPatientDiscoveryPort() throws MalformedURLException
//    {
//        return getAdapterPatientDiscoveryPort(false);
//    }

    private EntityPatientDiscoveryPortType getAdapterPatientDiscoveryPort() throws MalformedURLException {
        if (patDiscoveryService == null) {
            createService();
        }

        EntityPatientDiscoveryPortType port = null;

//        if (includeMTOMFeature)
//        {
//            port = patDiscoveryService.getEntityPatientDiscoveryPortSoap(new MTOMFeature());
//        }
//        else
        port = patDiscoveryService.getEntityPatientDiscoveryPortSoap();

        //set port endpoint address
        BindingProvider prov = (BindingProvider) port;
        prov.getRequestContext().put(BindingProvider.ENDPOINT_ADDRESS_PROPERTY, serviceURL);
        prov.getRequestContext().put("com.sun.xml.internal.ws.connect.timeout", serviceConnectionTimeoutMS);
        prov.getRequestContext().put("com.sun.xml.internal.ws.request.timeout", serviceRequestTimeoutMS);
        prov.getRequestContext().put("com.sun.xml.ws.connect.timeout", serviceConnectionTimeoutMS);
        prov.getRequestContext().put("com.sun.xml.ws.request.timeout", serviceRequestTimeoutMS);

        // SOAP message logging - Enable to show logging in output window
//        if ("test".equalsIgnoreCase(APP_CONFIG.getAppEnvironment()) || "development".equalsIgnoreCase(APP_CONFIG.getAppEnvironment()))
//        {
        prov.getBinding().getHandlerChain().add(new SOAPLoggingHandler());
        List<Handler> handlerList = prov.getBinding().getHandlerChain();
        handlerList.add(new SOAPLoggingHandler());
        prov.getBinding().setHandlerChain(handlerList);
//        }

        return port;
    }

    private void createService() {
        if (patDiscoveryService == null) {
            synchronized (this) {
                try {
                    patDiscoveryService = new EntityPatientDiscovery();

                } catch (Exception e) {
                    throw new RuntimeException(e);
                }
            }
        }
    }

    public RespondingGatewayPRPAIN201306UV02ResponseType patientDiscovery(QueryBean qbean) throws NHINHandlerException {
        RespondingGatewayPRPAIN201306UV02ResponseType output = null;
        org.hl7.v3.ObjectFactory oFactory = new ObjectFactory();

        try {
            RespondingGatewayPRPAIN201305UV02RequestType reqType = oFactory.createRespondingGatewayPRPAIN201305UV02RequestType();

// set target communities
//            NhinTargetCommunitiesType tct = new NhinTargetCommunitiesType();
//            NhinTargetCommunityType ntct = new NhinTargetCommunityType();
//            HomeCommunityType hct = new HomeCommunityType();
//            hct.setHomeCommunityId("");
//            hct.setDescription("");
//            hct.setName("");
//            ntct.setHomeCommunity(hct);
//            tct.getNhinTargetCommunity().add(ntct);
//            rt.setNhinTargetCommunities(tct);

            PRPAIN201305UV02 request = new PRPAIN201305UV02();

            //id
            request.setId(new II());
            request.getId().setRoot(LOCAL_HCID);
            //request.getId().setExtension("619c48f7:132ab17abf9:-359d");
            request.getId().setExtension("234234234234234");

            //creation time
            TSExplicit creationTime = new TSExplicit();
            DateFormat dateFormat = new SimpleDateFormat("yyyyMMddHHmmss", Locale.getDefault());
            creationTime.setValue(dateFormat.format(java.util.Calendar.getInstance().getTime()));
            request.setCreationTime(creationTime);

            //interaction id
            II interactionId = new II();
            interactionId.setRoot("2.16.840.1.113883.1.6");
            //interactionId.setExtension("PRPA_IN201306UV02");
            interactionId.setExtension("PRPA_IN201305UV02");
            request.setInteractionId(interactionId);

            //processing code
            CS processingCode = new CS();
            //production code
            processingCode.setCode("P");
            //debug code
            //processingCode.setCode("D");
            request.setProcessingCode(processingCode);

            //processing mode code
            request.setProcessingModeCode(new CS());
            request.getProcessingModeCode().setCode("R");
            //request.getProcessingModeCode().setCode("T");

            //acceptAckCode
            CS acceptAckCode = new CS();
            //acceptAckCode.setCode("NE");
            acceptAckCode.setCode("AL");
            request.setAcceptAckCode(acceptAckCode);

            //receiver
            MCCIMT000100UV01Receiver receiver = new MCCIMT000100UV01Receiver();
            receiver.setTypeCode(CommunicationFunctionType.RCV);
            //receiver device
            MCCIMT000100UV01Device recDevice = new MCCIMT000100UV01Device();
            recDevice.setDeterminerCode("INSTANCE");
            recDevice.setClassCode(EntityClassDevice.DEV);
            II recDevId = new II();
            //recDevId.setRoot("2.16.840.1.113883.4.349.1");
            recDevId.setRoot(TARGET_HCID);
            recDevice.getId().add(recDevId);
            recDevice.setAsAgent(oFactory.createMCCIMT000100UV01DeviceAsAgent(new MCCIMT000100UV01Agent()));
            recDevice.getAsAgent().getValue().getClassCode().add("AGNT");
            recDevice.getAsAgent().getValue().setRepresentedOrganization(oFactory.createMCCIMT000100UV01AgentRepresentedOrganization(new MCCIMT000100UV01Organization()));
            recDevice.getAsAgent().getValue().getRepresentedOrganization().getValue().setClassCode("ORG");
            recDevice.getAsAgent().getValue().getRepresentedOrganization().getValue().setDeterminerCode("INSTANCE");

            II repOrgId = new II();
            //repOrgId.setRoot("2.16.840.1.113883.4.349.1");
            repOrgId.setRoot(TARGET_HCID);
            //recTypeId.setExtension("200JNUS");
            recDevice.getAsAgent().getValue().getRepresentedOrganization().getValue().getId().add(repOrgId);
            receiver.setDevice(recDevice);
            receiver.setDevice(recDevice);
            request.getReceiver().add(receiver);

            //sender
            MCCIMT000100UV01Sender sender = new MCCIMT000100UV01Sender();
            sender.setTypeCode(CommunicationFunctionType.SND);
            //sender device
            MCCIMT000100UV01Device senderDevice = new MCCIMT000100UV01Device();
            senderDevice.setDeterminerCode("INSTANCE");
            senderDevice.setClassCode(EntityClassDevice.DEV);
            II senderDeviceId = new II();
            senderDeviceId.setRoot(LOCAL_HCID);
            //typeId.setRoot("2.16.840.1.113883.4.349");
            senderDevice.getId().add(senderDeviceId);
            senderDevice.setAsAgent(oFactory.createMCCIMT000100UV01DeviceAsAgent(new MCCIMT000100UV01Agent()));
            senderDevice.getAsAgent().getValue().getClassCode().add("AGNT");
            senderDevice.getAsAgent().getValue().setRepresentedOrganization(oFactory.createMCCIMT000100UV01AgentRepresentedOrganization(new MCCIMT000100UV01Organization()));
            senderDevice.getAsAgent().getValue().getRepresentedOrganization().getValue().setClassCode("ORG");
            senderDevice.getAsAgent().getValue().getRepresentedOrganization().getValue().setDeterminerCode("INSTANCE");

            II senderRepOrgId = new II();
            senderRepOrgId.setRoot(LOCAL_HCID);
            //senderRepOrgType.setRoot("2.16.840.1.113883.4.349");
            //senderRepOrgType.setExtension("200N");
            senderDevice.getAsAgent().getValue().getRepresentedOrganization().getValue().getId().add(senderRepOrgId);

            sender.setDevice(senderDevice);
            request.setSender(sender);

            //control account process
            PRPAIN201305UV02QUQIMT021001UV01ControlActProcess cap = new PRPAIN201305UV02QUQIMT021001UV01ControlActProcess();
            cap.setClassCode(ActClassControlAct.CACT);
            cap.setMoodCode(XActMoodIntentEvent.EVN);

            CD code = new CD();
            code.setCode("PRPA_TE201305UV02");
            code.setCodeSystem("2.16.840.1.113883.1.6");
            cap.setCode(code);

            //author or performer
            QUQIMT021001UV01AuthorOrPerformer aop = new QUQIMT021001UV01AuthorOrPerformer();
            aop.setTypeCode(XParticipationAuthorPerformer.AUT);
            JAXBElement<COCTMT090300UV01AssignedDevice> jbAssignedDevice = oFactory.createMFMIMT700701UV01AuthorOrPerformerAssignedDevice(new COCTMT090300UV01AssignedDevice());
            aop.setAssignedDevice(jbAssignedDevice);

            //assignedDevice.setClassCode("ASSIGNED");
            II assignedDevicedId = new II();
            assignedDevicedId.setRoot(LOCAL_HCID);
            aop.getAssignedDevice().getValue().getId().add(assignedDevicedId);
            aop.getAssignedDevice().getValue().setClassCode("ASSIGNED");
            cap.getAuthorOrPerformer().add(aop);

            //query id
            II qid = new II();
            qid.setRoot(LOCAL_HCID);
            //qid.setExtension("619c48f7:132ab17abf9:-359c");
            qid.setExtension("23234234234");
            JAXBElement<PRPAMT201306UV02QueryByParameter> jbQbp = oFactory.createPRPAIN201305UV02QUQIMT021001UV01ControlActProcessQueryByParameter(new PRPAMT201306UV02QueryByParameter());
            cap.setQueryByParameter(jbQbp);
            cap.getQueryByParameter().getValue().setQueryId(qid);

            //status code
            CS statusCode = new CS();
            statusCode.setCode("new");
            //qbp.setStatusCode(statusCode);
            cap.getQueryByParameter().getValue().setStatusCode(statusCode);
            //response priority code
            CS responsiblePriorityCode = new CS();
            responsiblePriorityCode.setCode("I");
            CS responsibleModalityCode = new CS();
            responsibleModalityCode.setCode("R");
            cap.getQueryByParameter().getValue().setResponsePriorityCode(responsiblePriorityCode);
            cap.getQueryByParameter().getValue().setResponseModalityCode(responsibleModalityCode);
//            //initial quantity
//            INT initQuantity = new INT();
//            initQuantity.setValue(BigInteger.valueOf(1));
//            cap.getQueryByParameter().getValue().setInitialQuantity(initQuantity);
            //parameter list
            PRPAMT201306UV02ParameterList plist = new PRPAMT201306UV02ParameterList();
            //gender
            PRPAMT201306UV02LivingSubjectAdministrativeGender gender = new PRPAMT201306UV02LivingSubjectAdministrativeGender();
            gender.getValue().add(new CE());
            gender.getValue().get(0).setCode(qbean.getPatient().getGender());
            plist.getLivingSubjectAdministrativeGender().add(gender);

            //dob
            PRPAMT201306UV02LivingSubjectBirthTime birthDate = new PRPAMT201306UV02LivingSubjectBirthTime();
            birthDate.getValue().add(new IVLTSExplicit());
            Date dday = Utils.getDate(qbean.getPatient().getDob());
            java.text.SimpleDateFormat sdf = new java.text.SimpleDateFormat("yyyyMMdd", Locale.getDefault());
            sdf.applyPattern("yyyyMMdd");

            birthDate.getValue().get(0).setValue(sdf.format(dday));
            plist.getLivingSubjectBirthTime().add(birthDate);

            //ssn
            PRPAMT201306UV02LivingSubjectId subId = new PRPAMT201306UV02LivingSubjectId();
            subId.getValue().add(new II());
            subId.getValue().get(0).setExtension(qbean.getPatient().getSSN());
            subId.getValue().get(0).setRoot(SSN_OID);
            plist.getLivingSubjectId().add(subId);

            //ICN
            PRPAMT201306UV02LivingSubjectId subIdICN = new PRPAMT201306UV02LivingSubjectId();
            subIdICN.getValue().add(new II());
            subIdICN.getValue().get(0).setExtension(qbean.getPatient().getICN());
            subIdICN.getValue().get(0).setRoot(VA_HCID);
            subIdICN.getValue().get(0).setAssigningAuthorityName("VA Enterprise Master Veteran Index");
            plist.getLivingSubjectId().add(subIdICN);

            //name
            PRPAMT201306UV02LivingSubjectName subName = new PRPAMT201306UV02LivingSubjectName();

            String fullName = qbean.getPatient().getName();
            String firstName = Utils.getFirstName(fullName).toUpperCase(Locale.getDefault());
            String lastName = Utils.getLastName(fullName).toUpperCase(Locale.getDefault());

            ENExplicit enName = (ENExplicit) (oFactory.createENExplicit());
            EnExplicitFamily enFamName = new EnExplicitFamily();
            enFamName.setContent(lastName);
            enFamName.setPartType("FAM");
            EnExplicitGiven enFirstName = new EnExplicitGiven();
            enFirstName.setContent(firstName);
            enFirstName.setPartType("GIV");
            enName.getContent().add(oFactory.createENExplicitFamily(enFamName));
            enName.getContent().add(oFactory.createENExplicitGiven(enFirstName));
            subName.getValue().add(enName);
            plist.getLivingSubjectName().add(subName);

            cap.getQueryByParameter().getValue().setParameterList(plist);

            request.setControlActProcess(cap);

            reqType.setPRPAIN201305UV02(request);

            reqType.setAssertion(generateAssertion(qbean));

//print pat discovery request

//                JAXBContext jaxbContext = JAXBContext.newInstance(RespondingGatewayPRPAIN201305UV02RequestType.class.getPackage().getName());
//                Marshaller jaxbMarshaller = jaxbContext.createMarshaller();
//
//                // for getting nice formatted output
//                jaxbMarshaller.setProperty(Marshaller.JAXB_FORMATTED_OUTPUT, Boolean.TRUE);
//               // jaxbMarshaller.marshal(rt, System.out);
//                jaxbMarshaller.marshal(new JAXBElement<RespondingGatewayPRPAIN201305UV02RequestType>(new QName("uri","PRPA_IN201305UV02"), RespondingGatewayPRPAIN201305UV02RequestType.class, rt), System.out);

            output = getAdapterPatientDiscoveryPort().respondingGatewayPRPAIN201305UV02(reqType);
        } catch (Exception e) {
            throw new NHINHandlerException(e);
        }
        return output;
    }
}
