/*
 * Janus 4.0 (c)
 * Copyright (c) 2014 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */


package gov.va.med.vds.patient.dao;

import com.intersys.objects.CacheException;
import gov.va.med.rpc.RPCConnection;
import gov.va.med.rpc.RPCException;
import gov.va.med.rpc.Timestamp;
import gov.va.med.vds.base.dao.DaoBase;
import gov.va.med.vds.base.dao.UnsupportedRPCMethodException;
import gov.va.med.vds.patient.dao.rpc.InsuranceRPC;
import gov.va.med.vds.vistabeans.InsuranceBean;
import gov.va.med.vds.vistabeans.QueryBean;

import java.util.Calendar;

/**
 *
 *
 */
public class InsuranceDao extends DaoBase {
    public InsuranceDao(RPCConnection cxn) {
        super(cxn);
    }

    public InsuranceBean[] getPatientInsurance(QueryBean queryBean) throws CacheException, RPCException, UnsupportedRPCMethodException {
        InsuranceRPC rpc = new InsuranceRPC(cxn);

        if (queryBean.getStartDate() == null) {
            queryBean.setStartDate(Timestamp.toDateTime("2000101"));
        }
        if (queryBean.getEndDate() == null) {
            queryBean.setEndDate(Calendar.getInstance());
        }

        return rpc.getPatientInsurance(queryBean.getStartDate(), queryBean.getEndDate());

    }

}
