/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.patient.dao;

import com.intersys.objects.CacheException;
import gov.va.med.rpc.RPCConnection;
import gov.va.med.rpc.RPCException;
import gov.va.med.vds.base.dao.DaoBase;
import gov.va.med.vds.base.dao.UnsupportedRPCMethodException;
import gov.va.med.vds.patient.dao.rpc.RadiologyRPC;
import gov.va.med.vds.vistabeans.QueryBean;
import gov.va.med.vds.vistabeans.RadiologyReport;

/**
 *
 *
 */
public class RadiologyDao extends DaoBase {
    public RadiologyDao(RPCConnection cxn) {
        super(cxn);
    }

    public RadiologyReport[] getPatientRads(QueryBean queryBean) throws CacheException, RPCException {

        RadiologyRPC rpc = new RadiologyRPC(cxn);
        return rpc.getRadiologyVPR(queryBean.getStartDate(), queryBean.getEndDate());
    }

    public RadiologyReport getRadiologyReport(QueryBean queryBean) throws CacheException, RPCException, UnsupportedRPCMethodException {

        RadiologyRPC rpc = new RadiologyRPC(cxn);
        return rpc.getRadiologyReport(queryBean.getItemId());
    }
}
