/*
 * Janus 4.0 (c)
 * Copyright (c) 2015 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.vds.patient.dao.rpc.utils;

import org.slf4j.Logger;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

import javax.xml.xpath.XPathConstants;
import javax.xml.xpath.XPathExpression;
import javax.xml.xpath.XPathExpressionException;

/**
 * Created by sishii on 4/7/15.
 */
public class RPCUtil {
    public static void logErrorMessage(Logger logger, Exception except) {
        logger.error(except.getMessage());
    }

    public static String evaluateNodeToString(Node node, XPathExpression expression, Logger logger) {
        String returnString = null;
        try {
            returnString = (String) expression.evaluate(node, XPathConstants.STRING);
        } catch (XPathExpressionException e) {
            logErrorMessage(logger, e);
        }
        return returnString;
    }

    public static Node evaluateNodeToNode(Node node, XPathExpression expression, Logger logger) {
        Node returnNode = null;
        try {
            returnNode = (Node) expression.evaluate(node, XPathConstants.NODE);
        } catch (XPathExpressionException e) {
            logErrorMessage(logger, e);
        }
        return returnNode;
    }

    public static NodeList evaluateNodeToNodeList(Node node, XPathExpression expression, Logger logger) {
        NodeList returnNodeList = null;
        try {
            returnNodeList = (NodeList) expression.evaluate(node, XPathConstants.NODESET);
        } catch (XPathExpressionException e) {
            logErrorMessage(logger, e);
        }
        return returnNodeList;
    }

}
