/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.provider.dao;

import com.intersys.objects.CacheException;
import gov.va.med.rpc.RPCConnection;
import gov.va.med.rpc.RPCException;
import gov.va.med.vds.base.dao.DaoBase;
import gov.va.med.vds.base.dao.UnsupportedRPCMethodException;
import gov.va.med.vds.provider.dao.cache.CacheSiteConnection;
import gov.va.med.vds.provider.dao.cache.AppointmentCache;
import gov.va.med.vds.vistabeans.PatientAppointments;
import gov.va.med.vds.vistabeans.QueryBean;

public class AppointmentDao extends DaoBase {
    public AppointmentDao(RPCConnection cxn) {
        super(cxn);
    }

    public PatientAppointments[] getProviderAppointments(QueryBean queryBean) throws CacheException, RPCException, UnsupportedRPCMethodException {
        if (isCacheObjectSite()) {
            CacheSiteConnection cacheConnection = createCacheConnection();

            AppointmentCache cache = new AppointmentCache(cacheConnection);
            PatientAppointments[] appts = cache.getProviderAppointments(queryBean);

            if (appts == null) {
                appts = new PatientAppointments[0];
            }

            return appts;
        } else {
            throw new UnsupportedRPCMethodException("No supported RPC method");
        }
    }
}
