/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.provider.dao.cache.model;

import gov.va.med.vds.vistabeans.ProgressNote;
import gov.va.med.vds.vistabeans.Site;
import gov.va.med.vhahon.common.Utils;

import java.sql.ResultSet;
import java.util.ArrayList;

public class NoteData extends ModelData {
    public static final int NOTE_ID = 0;
    public static final int PATIENT_ID = 1;
    public static final int PATIENT_NAME = 2;
    public static final int NOTE_DATE = 3;
    public static final int NOTE_TYPE = 4;
    public static final int NOTE_TITLE = 5;
    public static final int NOTE_STATUS = 6;
    
    public NoteData(Site site, ResultSet table) {
        super(site, table);
    }

    public ProgressNote[] getUnsignedNotes() {
        ProgressNote[] unsignedNotes = null;

        ArrayList<ProgressNote> temp = new ArrayList<ProgressNote>();
        DataModelIterator iter = new DataModelIterator(this);

        int totalRows = 0;
        String noteId = "";
        String patientId = "";
        String patientName = "";
        String noteDate = "";
        String noteType = "";
        String noteTitle = "";
        String noteStatus = "";

        while (iter.hasNext()) {
            noteId = iter.getItem(NOTE_ID);
            patientId = iter.getItem(PATIENT_ID);
            patientName = iter.getItem(PATIENT_NAME);
            noteDate = iter.getItem(NOTE_DATE);
            noteType = iter.getItem(NOTE_TYPE);
            noteTitle = iter.getItem(NOTE_TITLE);
            noteStatus = iter.getItem(NOTE_STATUS);

            ProgressNote unsignedNote = new ProgressNote();
            unsignedNote.setNoteId(noteId);
            unsignedNote.setPatientName(patientName);
            unsignedNote.setNoteDate(Utils.getCalFromSQLFormat(noteDate));
            unsignedNote.setNoteType(noteType);
            unsignedNote.setNoteTitle(noteTitle);
            unsignedNote.setStatus(noteStatus);
            unsignedNote.setPatientId(patientId);
            fillCommonDataBeanValues(unsignedNote);

            temp.add(unsignedNote);
            totalRows++;
        }

        if (totalRows > 0) {
            unsignedNotes = temp.toArray(new ProgressNote[0]);
        }

        return unsignedNotes;
    }
}