/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans;

import VHAJAVA.ConsultInfo;
import com.intersys.objects.CacheException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class ConsultInfoBean {

    private static final Logger LOGGER = LoggerFactory.getLogger(ConsultInfoBean.class);

    private String authNo;
    private String consultID;
    private String patIEN;
    private String urgency;
    private String requestDate;
    private String referrer;
    private String service;
    private String reason;
    private String clinic;

    public ConsultInfoBean() {
        super();
    }

    public ConsultInfoBean(java.util.List data) {
        super();
        try {
            Object[] resArray = null;
            if (data != null) {
                resArray = data.toArray();

                if (resArray != null && resArray.length > 0) {

                    ConsultInfo res = (ConsultInfo) resArray[0];
                    this.authNo = res.getAuthNo();

                    this.urgency = res.getUrgency();
                    this.requestDate = res.getRequestDt();

                    this.referrer = res.getReferrer();
                    this.service = res.getService();
                    this.reason = res.getReason();
                    this.clinic = res.getClinic();

                }
            }

        } catch (CacheException e) {
            LOGGER.error(e.getMessage());
        }


    }

    public String getAuthNo() {
        return authNo;
    }

    public void setAuthNo(String authNo) {
        this.authNo = authNo;
    }

    public String getConsultID() {
        return consultID;
    }

    public void setConsultID(String consultID) {
        this.consultID = consultID;
    }

    public String getPatIEN() {
        return patIEN;
    }

    public void setPatIEN(String patIEN) {
        this.patIEN = patIEN;
    }

    public String getUrgency() {
        return urgency;
    }

    public void setUrgency(String urgency) {
        this.urgency = urgency;
    }

    public String getRequestDate() {
        return requestDate;
    }

    public void setRequestDate(String requestDate) {
        this.requestDate = requestDate;
    }

    public String getReferrer() {
        return referrer;
    }

    public void setReferrer(String referrer) {
        this.referrer = referrer;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public void setClinic(String clinic) {
        this.clinic = clinic;
    }

    public String getClinic() {
        return clinic;
    }


}