/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans;

import java.util.Calendar;

public class Diagnosis extends DataBean {
    /**
     * ICD code of the procedure/diagnosis.
     */
    private String code;
    /**
     * Decription of the procedure/diagnosis.
     */
    private String description;
    /**
     * Status of the procedure/diagnosis.
     */
    private String status;
    /**
     * Date of the Procedure/Diagnosis.
     */
    private Calendar date;

    private String codeSystem;

    /**
     * ICD code of procedure/diagnosis.
     */
    public String getCode() {
        return code;
    }

    public void setCode(String newCode) {
        code = newCode;
    }

    /**
     * Descriptive text of procedure/diagnosis.
     */
    public String getDescription() {
        return description;
    }

    public void setDescription(String newDescription) {
        description = newDescription;
    }

    /**
     * Status of procedure/diagnosis.
     */
    public String getStatus() {
        return status;
    }

    public void setStatus(String newStatus) {
        status = newStatus;
    }


    /**
     * Date of procedure/diagnosis.
     */
    public Calendar getDate() {
        return date;
    }


    public void setDate(Calendar newDate) {
        date = newDate;
    }

    public String getCodeSystem() {
        return codeSystem;
    }

    public void setCodeSystem(String codeSystem) {
        this.codeSystem = codeSystem;
    }
}