/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans;

import VHAJAVA.FEEBASIS;
import com.intersys.objects.CacheException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class FeeBasisBean {
    private static final Logger LOGGER = LoggerFactory.getLogger(FeeBasisBean.class);

    private String authNo;
    private String patIEN;
    private String patName;
    private String patDOB;
    private String fromDate;
    private String toDate;
    private String patSSN;
    private String authIEN;
    private String service;
    private String reviewed;

    public String getAuthNo() {
        return authNo;
    }

    public void setAuthNo(String AuthNo) {
        this.authNo = AuthNo;
    }

    public String getPatIEN() {
        return patIEN;
    }

    public void setPatIEN(String PatIEN) {
        this.patIEN = PatIEN;
    }

    public String getPatName() {
        return patName;
    }

    public void setPatName(String patName) {
        this.patName = patName;
    }

    public String getPatDOB() {
        return patDOB;
    }

    public void setPatDOB(String patDOB) {
        this.patDOB = patDOB;
    }

    public String getFromDate() {
        return fromDate;
    }

    public void setFromDate(String fromDate) {
        this.fromDate = fromDate;
    }

    public String getToDate() {
        return toDate;
    }

    public void setToDate(String toDate) {
        this.toDate = toDate;
    }

    public String getPatSSN() {
        return patSSN;
    }

    public void setPatSSN(String patSSN) {
        this.patSSN = patSSN;
    }

    public String getAuthIEN() {
        return authIEN;
    }

    public void setAuthIEN(String authIEN) {
        this.authIEN = authIEN;
    }

    public String getService() {
        return service;
    }

    public void setService(String service) {
        this.service = service;
    }

    public static final FeeBasisBean[] getBeans(java.util.List data) {
        FeeBasisBean[] beanData = null;
        try {
            Object[] resArray = null;
            if (data != null) {
                resArray = data.toArray();
                beanData = new FeeBasisBean[resArray.length];
                for (int i = 0; i < resArray.length; i++) {
                    FeeBasisBean bean = new FeeBasisBean();
                    FEEBASIS res = (FEEBASIS) resArray[i];
                    // Retrieve the individual data items (avoid embedding accessor calls in html tags).
                    bean.setPatName(res.getPatName());
                    bean.setPatSSN(res.getssn());

                    bean.setPatDOB(res.getPatDOB());

                    bean.setPatIEN(res.getPatIEN());
                    bean.setAuthNo(res.getAuthNo());
                    bean.setService(res.getservice());

                    bean.setFromDate(res.getFromDT());

                    bean.setReviewed(res.getreviewed());
                    beanData[i] = bean;

                }
            }

        } catch (CacheException e) {
            LOGGER.error(e.getMessage());
        }
        return beanData;

    }

    public String getReviewed() {
        return reviewed;
    }

    public void setReviewed(String reviewed) {
        this.reviewed = reviewed;
    }


}