/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans;

import java.util.Calendar;

public class ProgressNote extends DataBean {
    private String noteId;
    private String noteType;
    private Calendar noteDate;
    private String location;
    private Provider provider;
    private String amended;
    private String images;
    private String visitDate;
    private String status;
    private String userIen;
    private String noteText;
    private String noteTitle;
    private String noteTitleId;
    private String complexDataUrl;
    private String sensitive;
    private String encounter;
    
    public String getNoteId() {
        return noteId;
    }

    public void setNoteId(String newNoteId) {
        noteId = newNoteId;
    }

    public String getNoteType() {
        return noteType;
    }

    public void setNoteType(String newNoteType) {
        noteType = newNoteType;
    }

    public Calendar getNoteDate() {
        return noteDate;
    }

    public void setNoteDate(Calendar newNoteDate) {
        noteDate = newNoteDate;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String newLocation) {
        location = newLocation;
    }

    public Provider getProvider() {
        return provider;
    }

    public void setProvider(Provider newProvider) {
        provider = newProvider;
    }

    /**
     * Sets the provider name. If the Provider has not yet been set, creates a new Provider.
     * Only the name will be set
     *
     * @param provider The Provider's name
     */
    public void setProvider(String provider) {
        this.provider = new Provider();
        this.provider.setName(provider);
    }

    public String getAmended() {
        return amended;
    }

    public void setAmended(String newAmended) {
        amended = newAmended;
    }

    public String getImages() {
        return images;
    }

    public void setImages(String newImages) {
        images = newImages;
    }

    public String getVisitDate() {
        return visitDate;
    }


    public void setVisitDate(String newVisitDate) {
        visitDate = newVisitDate;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String newStatus) {
        status = newStatus;
    }

    public String getUserIen() {
        return userIen;
    }

    public void setUserIen(String newUserIen) {
        userIen = newUserIen;
    }

    public String getNoteText() {
        return noteText;
    }

    public void setNoteText(String noteText) {
        this.noteText = noteText;
    }

    public String getNoteTitle() {
        return noteTitle;
    }

    public void setNoteTitle(String noteTitle) {
        this.noteTitle = noteTitle;
    }

    public String getNoteTitleId() {
        return noteTitleId;
    }

    public void setNoteTitleId(String noteTitleId) {
        this.noteTitleId = noteTitleId;
    }

    public String getComplexDataUrl() {
        return complexDataUrl;
    }

    public void setComplexDataUrl(String complexDataUrl) {
        this.complexDataUrl = complexDataUrl;
    }

    /**
     * @return the sensitive
     */
    public String getSensitive() {
        return sensitive;
    }

    /**
     * @param sensitive the sensitive to set
     */
    public void setSensitive(String sensitive) {
        this.sensitive = sensitive;
    }

    public String getEncounter() {
        return encounter;
    }

    public void setEncounter(String encounter) {
        this.encounter = encounter;
    }
}