/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans;

import java.util.Calendar;

/**
 * This class respresents a Radiology reports and extends the RadiologyExam class.
 */
public class RadiologyReport extends RadiologyExam {

    /**
     * Priority of the exam.
     */
    private String priority;
    /**
     * Result Code of the report.
     */
    private String resultCode;
    /**
     * User interpreting the exam.
     */
    private String interpretingHCP;
    /**
     * User approving the report.
     */
    private String approvedBy;
    /**
     * Date the report was transcribed.
     */
    private Calendar transcribeDate;
    /**
     * Text of the report.
     */
    private String reportText;
    /**
     * Status of the report.
     */
    private String reportStatus;
    /**
     * Text describing the impression of the exam.
     */
    private String impressionText;

    private String abnormal;

    /**
     * Case number
     */
    private String caseNumber;

    private String severity;
    private String reportIEN;

    /**
     * Priority of the radiology exam.
     */
    public String getPriority() {
        return priority;
    }

    public void setPriority(String newPriority) {
        priority = newPriority;
    }

    /**
     * Result Code of the radiology report.
     */
    public String getResultCode() {
        return resultCode;
    }

    public void setResultCode(String newResultCode) {
        resultCode = newResultCode;
    }

    /**
     * User interpreting the radiology exam.
     */
    public String getInterpretingHCP() {
        return interpretingHCP;
    }

    public void setInterpretingHCP(String newInterpretingHCP) {
        interpretingHCP = newInterpretingHCP;
    }

    /**
     * Person who approved the radiology report.
     */
    public String getApprovedBy() {
        return approvedBy;
    }

    public void setApprovedBy(String newApprovedBy) {
        approvedBy = newApprovedBy;
    }

    /**
     * Calendar report was transcribed.
     */
    public Calendar getTranscribeDate() {
        return transcribeDate;
    }

    public void setTranscribeDate(Calendar newTranscribeDate) {
        transcribeDate = newTranscribeDate;
    }

    /**
     * Report Text for the radiology report.
     */
    public String getReportText() {
        return reportText;
    }

    public void setReportText(String newReportText) {
        reportText = newReportText;
    }

    /**
     * Status of the radiology report.
     */
    public String getReportStatus() {
        return reportStatus;
    }

    public void setReportStatus(String newReportStatus) {
        reportStatus = newReportStatus;
    }

    /**
     * Impression text of the radiology report.
     */
    public String getImpressionText() {
        return impressionText;
    }

    public void setImpressionText(String newImpressionText) {
        impressionText = newImpressionText;
    }

    public String getCaseNumber() {
        return caseNumber;
    }

    public void setCaseNumber(String caseNumber) {
        this.caseNumber = caseNumber;
    }

    public String getReportIEN() {
        return reportIEN;
    }

    public void setReportIEN(String reportIEN) {
        this.reportIEN = reportIEN;
    }

    public String getSeverity() {
        return severity;
    }

    public void setSeverity(String severity) {
        this.severity = severity;
    }

    public String getAbnormal() {
        return abnormal;
    }

    public void setAbnormal(String abnormal) {
        this.abnormal = abnormal;
    }
}