/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */


package gov.va.med.vds.vistabeans;


public class ReferralBean extends DataBean {

    /**
     * patient ICN.
     */
    private String patientICN;
    /**
     * Fee Basis Patient Authorization Number.
     */
    private String authNo;
    /**
     * location of the patient when consult/request ordered.
     */
    private String clinic;
    /**
     * primary care user.
     */
    private String primaryCarePractitioner;
    /**
     * primary Diagnosis of order.
     */
    private String primaryICD;
    /**
     * beginning date for authorization.
     */
    private String fromDate;
    /**
     * date and tme order was released.
     */
    private String reqDate;
    /**
     * user who origniated order.
     */
    private String reqProv;
    /**
     * date through which veteran may obtain services.
     */
    private String toDate;
    /**
     * "TO" service/specialty.
     */
    private String serviceReq;
    /**
     * urgency of request.
     */
    private String urgency;
    /**
     * Service connected percentage of veteran.
     */
    private Integer servPrecentage;
    /**
     * name of vendor providing service.
     */
    private String vendor;
    /**
     * Authorization Remarks
     */
    private String remarks;
    /**
     * patient insurance information.
     */
    private InsuranceBean[] insuranceInfo;

    /**
     * patient ICN.
     */
    public String getPatientICN() {
        return patientICN;
    }

    public void setPatientICN(String patID) {
        patientICN = patID;
    }

    /**
     * Fee Basis Patient Authorization Number.
     */
    public String getAuthorizationNumber() {
        return authNo;
    }

    public void setAuthorizationNumber(String authNum) {
        authNo = authNum;
    }

    /**
     * location of the patient when consult/request ordered.
     */
    public String getClinic() {
        return clinic;
    }

    public void setClinic(String clinicNam) {
        clinic = clinicNam;
    }

    /**
     * primary care user.
     */
    public String getPrimaryCarePractitioner() {
        return primaryCarePractitioner;
    }

    public void setPrimaryCarePractitioner(String provider) {
        primaryCarePractitioner = provider;
    }

    /**
     * primary Diagnosis of order.
     */
    public String getPrimaryDiagnosis() {
        return primaryICD;
    }

    public void setPrimaryDiagnosis(String icd) {
        primaryICD = icd;
    }

    /**
     * beginning date for authorization.
     */
    public String getFromDate() {
        return fromDate;
    }

    public void setFromDate(String fdate) {
        fromDate = fdate;
    }

    /**
     * date and tme order was released.
     */
    public String getRequestedDate() {
        return reqDate;
    }

    public void setRequestedDate(String rdate) {
        reqDate = rdate;
    }

    /**
     * date through which veteran may obtain services.
     */
    public String getToDate() {
        return toDate;
    }

    public void setToDate(String tdate) {
        toDate = tdate;
    }

    /**
     * user who origniated order.
     */
    public String getRequestingProvider() {
        return reqProv;
    }

    public void setRequestingProvider(String prov) {
        reqProv = prov;
    }

    /**
     * "TO" service/specialty.
     */
    public String getServiceRequested() {
        return serviceReq;
    }

    public void setServiceRequested(String service) {
        serviceReq = service;
    }

    /**
     * urgency of request.
     */
    public String getUrgency() {
        return urgency;
    }

    public void setUrgency(String urg) {
        urgency = urg;
    }

    /**
     * Service connected percentage of veteran.
     */
    public Integer getServicePercentage() {
        return servPrecentage;
    }

    public void setServicePercentage(Integer percentage) {
        servPrecentage = percentage;
    }

    /**
     * name of vendor providing service.
     */
    public String getVendor() {
        return vendor;
    }

    public void setVendor(String ven) {
        vendor = ven;
    }

    /**
     * Authorization remarks.
     */
    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    /**
     * patient insurance information.
     */
    public InsuranceBean[] getInsuranceInfo() {
        InsuranceBean[] rtc = null;
        if (insuranceInfo != null) {
            rtc = insuranceInfo.clone();
        }
        return rtc;
    }

    public void setInsuranceInfo(InsuranceBean[] insuranceBeans) {
        if (insuranceBeans == null) {
            this.insuranceInfo = null;
        } else {
            this.insuranceInfo = insuranceBeans.clone();
        }
    }
}
