/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.dataservice.patient;

import gov.va.med.rpc.StringUtils;
import gov.va.med.vds.base.dataservice.DataServiceBase;
import gov.va.med.vds.base.dataservice.VDSException;
import gov.va.med.vds.dataservice.DataServiceBaseTest;
import gov.va.med.vds.patient.dataservice.ImmunizationsDataService;
import gov.va.med.vds.vistabeans.Immunization;
import gov.va.med.vds.vistabeans.QueryBean;
import org.junit.Test;

import java.util.List;

import static org.junit.Assert.*;

/**
 *
 *
 */
public class ImmunizationsDataServiceTest extends DataServiceBaseTest
{
    @Test
    public void testGetPatientImmunizationsList()
    {
        try
        {
            QueryBean queryBean = setupQuery(user, patient, null, null);
            ImmunizationsDataService imsService = new ImmunizationsDataService();
            List<Immunization> ims = imsService.getPatientImmunizations(queryBean);
            assertTrue(ims.size() > 0);
            for(Immunization im : ims)
            {
                assertFalse(StringUtils.isEmpty(im.getSourceProtocol()));
                assertFalse(im.getSite() == null);
                assertFalse(im.getName().equals(DataServiceBase.CONNECTION_UNAVAILABLE));
            }
        }
        catch(VDSException ex)
        {
            fail(ex.getMessage());
        }
    }
}
