/*
 * Janus 4.0 (c)
 * Copyright (c) 2014 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.dataservice.patient;

import gov.va.med.rpc.StringUtils;
import gov.va.med.vds.base.dataservice.DataServiceBase;
import gov.va.med.vds.base.dataservice.VDSException;
import gov.va.med.vds.dataservice.DataServiceBaseTest;
import gov.va.med.vds.patient.dataservice.InsuranceDataService;
import gov.va.med.vds.vistabeans.InsuranceBean;
import gov.va.med.vds.vistabeans.QueryBean;
import org.junit.Test;

import java.util.List;

import static org.junit.Assert.*;

/**
 *
 *
 */
public class InsuranceDataServiceTest extends DataServiceBaseTest
{
    @Test
    public void testGetPatientInsurance()
    {
        try
        {

            QueryBean queryBean = setupQuery(user, patient);

            InsuranceDataService insuranceService = new InsuranceDataService();
            List<InsuranceBean>  policies = insuranceService.getPatientInsurance(queryBean);
            assertTrue(policies.size() > 0);
            for(InsuranceBean insurance : policies)
            {
                assertFalse(StringUtils.isEmpty(insurance.getSourceProtocol()));
                assertFalse(insurance.getSite() == null);
                assertFalse(insurance.getInsuranceType().equals(DataServiceBase.CONNECTION_UNAVAILABLE));
            }
        }
        catch(VDSException ex)
        {
            fail(ex.getMessage());
        }
    }
}
