/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.dataservice.patient;

import gov.va.med.rpc.StringUtils;
import gov.va.med.vds.base.dataservice.DataServiceBase;
import gov.va.med.vds.base.dataservice.VDSException;
import gov.va.med.vds.dataservice.DataServiceBaseTest;
import gov.va.med.vds.patient.dataservice.OrdersDataService;
import gov.va.med.vds.vistabeans.Order;
import gov.va.med.vds.vistabeans.QueryBean;
import org.junit.Test;

import java.util.Calendar;
import java.util.List;

import static org.junit.Assert.*;

/**
 *
 *
 */
public class OrdersDataServiceTest extends DataServiceBaseTest
{
    @Test
    public void testGetPatientOrders()
    {
        try
        {
            Calendar startDate = Calendar.getInstance();
            Calendar endDate = Calendar.getInstance();
            startDate.set(2010, 0, 1);
//            endDate.set(2010, 0, 1);

            QueryBean queryBean = setupQuery(user, patient, startDate, endDate);

            OrdersDataService aptsService = new OrdersDataService();
            List<Order> orders = aptsService.getPatientOrders(queryBean);
            assertTrue(orders.size() > 0);
            for(Order order : orders)
            {
                assertFalse(StringUtils.isEmpty(order.getSourceProtocol()));
                assertFalse(order.getSite() == null);
                assertFalse(order.getDescription().equals(DataServiceBase.CONNECTION_UNAVAILABLE));
            }
        }
        catch(VDSException ex)
        {
            fail(ex.getMessage());
        }
    }
}
