/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.vds.provider.dao.cache.handler;

import com.intersys.objects.CacheException;
import gov.va.med.vds.vistabeans.User;
import org.junit.Test;

import static junit.framework.Assert.assertTrue;
import static junit.framework.Assert.fail;

/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for Pacific Telehealth & Technology Hui/JITC
 */

public class UserHandlerTest extends BaseHandlerTest
{
    @Test
    public void testProcessProviderProfile()
    {
        try
        {
            cacheConnection.open();

            UserHandler handler = new UserHandler(cacheConnection.getDatabase(),
                cacheConnection.getSite(), user.getUserIen(),
                user.getName(), user.getHostSite().getSiteCode());

            User userProfile = handler.processProviderProfile(user.getUserIen(), null);

            assertTrue(userProfile != null);

            //using bogus npi - just testing mechanics of query
            userProfile = handler.processProviderProfile(null, "1234");

        }
        catch(CacheException e)
        {
            fail(e.getMessage());
        }
        finally
        {
            cacheConnection.close();
        }
    }
}
