package gov.va.med.jmeadows.dao.util;

import gov.va.med.jmeadows.common.AppConfig;
import gov.va.med.jmeadows.dataservicehandler.DataServiceHandler;
import org.apache.commons.lang3.StringUtils;

//import java.util.Arrays;

public class ProviderMultiLocQueryCfgBuilder extends MultiLocQueryCfgBuilder {

    protected UserLocation userLocation;

    public ProviderMultiLocQueryCfgBuilder location(UserLocation location) {
        this.userLocation = location;
        return this;
    }

    public ProviderMultiLocationQueryConfig build() {
        if (StringUtils.isBlank(connectionErrorMsg)) {
            this.connectionErrorMsg(AppConfig.getInstance().getErrorMsgConnectionUnavailable());
        }

        if (StringUtils.isNotBlank(smartBeanMappingMethod)) {
            this.resultRequiresBeanMapping(true);
        }

        return new ProviderMultiLocationQueryConfig(this);
    }

    public ProviderMultiLocQueryCfgBuilder dataServiceHandler(DataServiceHandler dataServiceHandler)
    {
        this.dataServiceHandler = dataServiceHandler;
        return this;
    }

    public ProviderMultiLocQueryCfgBuilder dataServiceMethod(String dataServiceMethod)
    {
        this.dataServiceMethod = dataServiceMethod;
        return this;
    }

    public ProviderMultiLocQueryCfgBuilder dataServiceMethodArgs(Object...args)
    {
        this.dataServiceMethodArgs = args;
        return this;
    }

    public ProviderMultiLocQueryCfgBuilder resultRequiresBeanMapping(boolean resultRequiresBeanMapping)
    {
        this.resultRequiresBeanMapping = resultRequiresBeanMapping;
        return this;
    }

    public ProviderMultiLocQueryCfgBuilder smartBeanMappingMethod(String smartBeanMappingMethod)
    {
        this.smartBeanMappingMethod = smartBeanMappingMethod;
        return this;
    }

    public ProviderMultiLocQueryCfgBuilder connectionErrorMsg(String connectionErrorMsg)
    {
        this.connectionErrorMsg = connectionErrorMsg;
        return this;
    }

    public ProviderMultiLocQueryCfgBuilder isSingleResultExpected(boolean isSingleResultExpected)
    {
        this.isSingleResultExpected = isSingleResultExpected;
        return this;
    }

    /**
     * @return the userLocation
     */
    public UserLocation getUserLocation() {
        return userLocation;
    }

    /**
     * @param userLocation the userLocation to set
     */
    public void setUserLocation(UserLocation userLocation) {
        this.userLocation = userLocation;
    }
}
