/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.jmeadows.dao.patient;

import gov.va.med.jmeadows.common.JMeadowsException;
import gov.va.med.jmeadows.dao.beans.JMeadowsQuery;
import gov.va.med.vds.webservice.Encounter;
import gov.va.med.vds.webservice.PatientAppointments;
import org.junit.Test;

import java.util.List;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

/**
 *
 * @author vhahonbrunos
 */
public class AppointmentsDaoTest extends DaoBaseTest
{
    private AppointmentsDao apptsDao;

    public AppointmentsDaoTest() throws JMeadowsException
    {
        apptsDao = new AppointmentsDao();
    }

    @Test
    public void testGetPatientAppointments()
    {
        try
        {
            JMeadowsQuery qb = setupQuery(user, patient, startDate, endDate);
            List<PatientAppointments> appts = apptsDao.getPatientAppointments(qb);
            assertTrue(appts.size() > 0);
            testForBeanMeta(appts);
        } 
        catch (JMeadowsException ex)
        {
            fail(ex.getMessage());
        }
    }

    @Test
    public void testGetPatientEncounters()
    {
        try
        {
            JMeadowsQuery qb = setupQuery(user, patient, startDate, endDate);
            List<Encounter> encounters = apptsDao.getPatientEncounters(qb);
            assertTrue(encounters.size() > 0);
            testForBeanMeta(encounters);
        }
        catch (JMeadowsException ex)
        {
            fail(ex.getMessage());
        }
    }

}
