/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.jmeadows.dao.patient;

import gov.va.med.bhie.LabOrderV4;
import gov.va.med.jmeadows.common.JMeadowsException;
import gov.va.med.jmeadows.dao.beans.JMeadowsQuery;
import gov.va.med.vds.webservice.LabOrder;
import gov.va.med.vds.webservice.LabResult;
import org.junit.Test;

import java.util.List;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

/**
 *
 * @author vhahonbrunos
 */
public class LabsDaoTest extends DaoBaseTest
{
    private LabsDao labsDao;

    public LabsDaoTest() throws JMeadowsException
    {
        labsDao = new LabsDao();
    }

    @Test
    public void testGetPatientLabsResults()
    {
        try {
            JMeadowsQuery qb = setupQuery(user, patient, startDate, endDate);
            List<LabResult> labs = labsDao.getPatientLabResults(qb);
            assertTrue(labs.size() > 0);
            testForBeanMeta(labs);
        } catch (JMeadowsException ex) {
            fail(ex.getMessage());
        }
    }

    @Test
    public void testGetPatientLabs()
    {
        try {
            JMeadowsQuery qb = setupQuery(user, patient, startDate, endDate);
            List<LabOrder> labs = labsDao.getPatientLabs(qb);
            assertTrue(labs.size() > 0);
            testForBeanMeta(labs);
        } catch (JMeadowsException ex) {
            fail(ex.getMessage());
        }
    }

//    @Test
//    public void testGetPatientLabTestResultsFromCHCS()
//    {
//        try
//        {
//            startDate.set(2011, 3, 1);
//            endDate.set(2011, 3, 30);
//
//            JMeadowsQuery qb = setupQuery(user, patient, startDate, endDate);
//            patient.setPatientId("818163"); // CHCS Patient Id
//            user.setHostSiteId("A0101"); // CHCS Site Setup
//            //user.setLoginSiteName("CHCS");
//            qb.setItemId("1");              // CHCS Lab Test Id
//            qb.setRecordSiteCode("A0101");  // CHCS Site Code
//
//            LabResult[] lrb = labsDao.getPatientLabTestResults(qb);
//            assertTrue(lrb.length > 0);
//            logger.debug("-- LAB TEST RESULTS FROM CHCS --");
//            logger.debug("TestId / TestName / Result / Units / Reference Range");
//            for(LabResult lr : lrb)
//            {
//                logger.debug(lr.getTestId() + "   " + lr.getTestName()
//                        + "   " + lr.getResult() + "   " + lr.getUnits()
//                        + "   " + lr.getReferenceRange());
//                if(ERROR_MSG_CONNECTION_UNAVAILABLE.equalsIgnoreCase(lr.getTestName()))
//                {
//                    Assert.fail("Data retreival failed...");
//                }
//            }
//        }
//        catch(JMeadowsException e)
//        {
//            fail(e.getMessage());
//        }
//    }
    
}
