/*
 * Janus 4.0 (c)
 * Copyright (c) 2015 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */
 
 
package gov.va.med.jmeadows.dao.patient;

import gov.va.med.jmeadows.common.JMeadowsException;
import gov.va.med.jmeadows.dao.beans.Form;
import gov.va.med.jmeadows.dao.beans.JMeadowsQuery;
import org.junit.Test;

import java.util.List;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

/**
 *
 * @author vhahonbrunos
 */
public class QuestionnaireDaoTest extends DaoBaseTest
{
    private QuestionnaireDao qDao;

    public QuestionnaireDaoTest() throws JMeadowsException
    {
        super();
        qDao = new QuestionnaireDao();
    }

    @Test
    public void testGetPatientForms()
    {
        try {
            JMeadowsQuery qb = setupQuery(user, patient, startDate, endDate);
            List<Form> forms = qDao.getPatientForms(qb);
            assertTrue(forms.size() > 0);
            testForBeanMeta(forms);
        } catch (JMeadowsException ex) {
            fail(ex.getMessage());
        }
    }
}
