/**
 * Janus 4.0 (c)
 * Copyright (c) 2011 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *     Honorable Senator Daniel K. Inouye
 *     VA Pacific Islands Health Care System
 *     Tripler Army Medical Center
 */
 
 
package gov.va.med.jmeadows.dao.provider;

import gov.va.med.jmeadows.common.JMeadowsException;
import gov.va.med.jmeadows.dao.beans.JMeadowsQuery;
import gov.va.med.jmeadows.dao.patient.DaoBaseTest;
import gov.va.med.vds.webservice.LabResult;
import gov.va.med.vhahon.common.Utils;
import org.junit.Test;

import java.util.List;

import static org.junit.Assert.assertTrue;
import static org.junit.Assert.fail;

/**
 *
 * @author vhahonbrunos
 */
public class ProviderLabsDaoTest extends DaoBaseTest
{
    private ProviderLabsDao labDao;
    
    public ProviderLabsDaoTest() throws JMeadowsException
    {
        super();
        labDao = new ProviderLabsDao();
    }

    @Test
    public void testGetProviderLabAbnormalResults()
    {
        try 
        {
            startDate.set(2011, 6, 15);
            endDate.set(2011, 6, 30);

            JMeadowsQuery qb = setupQuery(user, patient, startDate, endDate);
            
            //mockProviderBasedQuery(qb.getUser(), null, "258");

            List<LabResult> labResults = labDao.getProviderAbnormalLabResults(qb);
            assertTrue(labResults.size() > 0);
            logger.debug("# of Abnormal Lab Results: " + labResults.size());
            testForProviderBeanMeta(labResults);
            for(LabResult lr : labResults)
            {
                logger.debug("OrderId: " + lr.getOrderId());
                logger.debug("PatientId: " + lr.getPatientId());
                logger.debug("PatientName: " + lr.getPatientName());
                logger.debug("ResultDate: " + Utils.formatDisplayDate(lr.getResultDate()));
                logger.debug("LabTest/OrderDescription: " + lr.getTestName());
                logger.debug("LabResult: " + lr.getResult());
                if(ERROR_MSG_CONNECTION_UNAVAILABLE.equalsIgnoreCase(lr.getTestName()))
                {
                    fail("Failed to fetch data...");
                }
                logger.debug("---");
            }
        } 
        catch (JMeadowsException ex)
        {
            fail(ex.getMessage());
        }
    }
    
}
