/*
 * Janus 4.0 (c)
 * Copyright (c) 2012 Hawaii Resource Group LLC. All Rights Reserved.
 * Developed for the Pacific Telehealth & Technology Hui and the Pacific Joint Information Technology Center
 * Contributors:
 *      Honorable Senator Daniel K. Inouye
 *      VA Pacific Islands Health Care System
 *      Tripler Army Medical Center
 */

package gov.va.med.jmeadows.dao.provider;

import gov.va.med.jmeadows.common.JMeadowsException;
import gov.va.med.jmeadows.dao.beans.IehrUserProfile;
import gov.va.med.jmeadows.dao.patient.DaoBaseTest;
import gov.va.med.jmeadows.webservice.JMeadowsData;
import org.junit.Test;

import javax.management.JMException;

import static org.junit.Assert.fail;

/**
 * Created with IntelliJ IDEA.
 * User: vhahonishihj
 * Date: 9/6/12
 * Time: 8:50 AM
 * To change this template use File | Settings | File Templates.
 */
public class ProviderUserProfileTest extends DaoBaseTest
{
    public ProviderUserProfileTest() throws JMException
    {
        super();
    }

    @Test
    public void testGetIehrUserProfile()
    {
        try
        {
            JMeadowsData jData = new JMeadowsData();

            // Fill in the smart card ID and Agency strings
            IehrUserProfile userProfile = jData.getIehrUserProfile("", "");

            if( userProfile != null )
            {
// Only uncomment for debugging purpose, code below is picked up as fortify issue
//                logger.debug( "Loc ID: " + userProfile.getLocID() );
//                logger.debug( "Prov ID: " + userProfile.getProvID() );
//                logger.debug( "cfg: " + userProfile.getCfg() );
//                logger.debug( "flags: " + userProfile.getFlags() );
//                logger.debug( "Smart card ID: " + userProfile.getSmartCardID() );
//                logger.debug( "Smart card Agency: " + userProfile.getSmartCardAgency() );
            }
        }
        catch (JMeadowsException ex)
        {
            fail(ex.getMessage());
        }
    }

    @Test
    public void testSetIehrUserProfile()
    {
        try
        {
            JMeadowsData jData = new JMeadowsData();
            IehrUserProfile userProfile = new IehrUserProfile();

            // Fill in the strings in the user profile to update DB
            userProfile.setLocID("");
            userProfile.setUserID("");
            userProfile.setCfg("");
            userProfile.setFlags("");
            userProfile.setSmartCardID("");
            userProfile.setSmartCardAgency("");

            jData.setIehrUserProfile(userProfile);
        }
        catch (JMeadowsException ex)
        {
            fail(ex.getMessage());
        }
    }
}
